// 	Copyright  1991 by Apple Computer, Inc.  All rights reserved. 
// 	AEGestalt.r file.
//	Kent Sandvik DTS
//	This file contains all the normal MacApp resources, with
//	the exception of the window/view resources which are in the
//	views.rsrc file (in 3.0 'View' format). The "2.0 views.rsrc"
//	file contains the same information in the old format.


// INCLUDES 

#ifndef __TYPES.R__
#include "Types.r"
#endif

#ifndef __SYSTYPES.R__
#include "SysTypes.r"				// needed for version resource
#endif		

#ifndef __MacAppTypes__
#include "MacAppTypes.r"
#endif

#if qTemplateViews
#ifndef __ViewTypes__
#include "ViewTypes.r"
#endif
#endif

#if qDebug
include "Debug.rsrc";
#endif

#ifndef __RESOURCECONSTANTS__
#include "ResourceConstants.h"			// common header file for resource IDs
#endif


// RESOURCES FILES

include "MacApp.rsrc";
include "views.rsrc";


// CODE 

include $$Shell("ObjApp")"AEGestalt" 'CODE';


// CONSTANTS

// Finder Information

#define kApplicationName				$$Shell("XAppName")


// SIZE

resource 'SIZE' (-1) {
	saveScreen,
	acceptSuspendResumeEvents,
	enableOptionSwitch,
	canBackground,
	doesActivateOnFGSwitch,
	backgroundAndForeground,
	dontGetFrontClicks,
	ignoreAppDiedEvents,
	is32BitCompatible,
	isHighLevelEventAware,
	localAndRemoteHLEvents,
	isStationeryAware,				
	reserved,
	reserved,
	reserved,
	reserved,
#if qModelFarCode
	575 * 1024,
	550 * 1024,
#elif qDebug
	850 * 1024,
	850 * 1024
#else
	500 * 1024,
	500 * 1024
#endif
};


// APPLEEVENTS 

resource 'aedt' (kGestaltAEEvents) {		// AE Dispatch table resource
	{
	kMacAppClass, kAEGetConfig, cAEProvideGestaltInfo;
	}
};
//	AE Class, AE Message ID, command Number

// SEG!

resource 'seg!' (256, purgeable) {
	{
		"GNonRes";
		"GSelCommand";
		"GTerminate";
		"GClose";
		"GDoCommand";
	}
};


// VERS

include "Defaults.rsrc"  'vers' (1);				// application or file specific
include "Defaults.rsrc"  'vers' (2);				// overall package


// ALERTS AND DLOGS 

include "Defaults.rsrc" 'ALRT'	(phAboutApp);		// About window
include "Defaults.rsrc" 'DITL'	(phAboutApp);		// About contents
include "Defaults.rsrc" 'STR#'	(kDefaultCredits);	// credits


// ICONs and BUNDLE
// Get the default MacApp application icon and file reference

include "Defaults.rsrc"  'ICN#' (128);


// CMNUs 

include "Defaults.rsrc" 'CMNU' (mApple);			// grab the default Apple/File menus

resource 'CMNU' (mFile,
#if qNames
"mFile",
#endif
nonpurgeable) {
	mFile,
	textMenuProc,
	EnablingManagedByMacApp,
	enabled,
	"File",
	{
	"New",				noIcon, "N",	noMark, plain, cNew;
	"Close",			noIcon, "W",	noMark, plain, cClose;
	"-",				noIcon, noKey,	noMark, plain, nocommand;
	"Quit",				noIcon, "Q",	noMark, plain, cQuit
	}
};

resource 'CMNU' (mExamine,
#if qNames
"mExamine",
#endif
nonpurgeable) {
	mExamine,
	textMenuProc,
	allEnabled,
	enabled,
	"Examine",
	{
	"Find",			noIcon, "F",	noMark, plain, cFindAEGestalt;
	"Report",			noIcon, "R",	noMark, plain, cCreateReport
	}
};


// MBARs 
// Displayed menus 

resource 'MBAR' (kMBarDisplayed,
#if qNames
"Windoid",
#endif
	purgeable) {
	{mApple; mFile; mExamine}
};


//--------------------------------------------------------------------------------------------------
// 	Icons, Bundles and FRefsOh my! (don't forget the Signature)
//	It is very important that the Signature is registered here, because
//	we are using it as a way to register the application PPC port, and 
//	otherwise we will get a default name, which will not show up in the
//	PPCBrowse filtering function. I learned this hard lesson 3.23 am
//	and it was even a Saturday morning, sigh!

type kSignature as 'STR ';
resource kSignature (0,
#if qNames
"Signature",
#endif
	purgeable) {
	"AEGestalt 3.0b2 Apple Computer, Inc. 1991"
};

resource 'FREF' (kApplicationID,
#if qNames
"AEGestalt Application",
#endif
	purgeable) {
	'APPL',
	0,
	""
};

resource 'FREF' (kDocumentID,
#if qNames
"AEGestalt Document",
#endif
	purgeable) {
	kFileType,
	1,
	""
};

resource 'FREF' (kStationeryID,
#if qNames
"AEGestalt Stationery",
#endif
	purgeable) {
	kStationery,
	2,
	""
};

resource 'BNDL' (kBundleID,
#if qNames
"AEGestalt",
#endif
	purgeable) {
	kSignature,
	0,
	{ /* array TypeArray: 2 elements */
		/* [1] */
		'ICN#',
		{ /* array IDArray: 3 elements */
			0, kApplicationID,
			1, kDocumentID,
			2, kStationeryID
		},
		/* [2] */
		'FREF',
		{ /* array IDArray: 3 elements */
			0, kApplicationID,
			1, kDocumentID,
			2, kStationeryID
		}
	}
};
