// 	Copyright  1991 Apple Computer, Inc. All rights reserved.
// 	UGrayfillAdorner.cp
//	Kent Sandvik DTS
//	This file is used for specifying the TGrayFill member functions,
//	i.e. drawing gray in the views in forms of an adorner.


#ifndef __UGRAYFILLADORNER__
#include "UGrayfillAdorner.h"
#endif

//	Globals

CRGBColor gKSRGBGray(36000, 40500, 37500);	// Setup the KS-look&feel gray global

//	Empty constructor - for avoiding ptabs in global data space
#pragma segment ARes
TGrayFill::TGrayFill() {}					


//	Draw TGrayFill Adorner method

#pragma segment ARes
pascal void TGrayFill::Draw(TView* itsView, const VRect& /*area*/)
{
	CRGBColor	saveColor;
	PenState	savePenState;
	VRect		adornArea;
	CRect		QDArea;
	CRect		tempRect;

	GetPenState(savePenState);				// save off the current pen state 
	GetIfColor(saveColor);					// and the foreground color
	PenNormal();

	itsView->GetAdornExtent(adornArea);	// get area
	itsView->ViewToQDRect(adornArea, QDArea);
	tempRect = QDArea;

	SetIfColor(gKSRGBGray);					// colorize it
	PaintRect(tempRect);

	SetIfColor(saveColor);					// restore the foreground color and the pen
	SetPenState(savePenState);
}
