#ifndef __CSHELL__
#define __CSHELL__

#ifndef __TYPES__
#include <types.h>
#endif

#ifndef __APPLEEVENTS__
#include <AppleEvents.h>
#endif

#ifndef __FILES__
#include <files.h>
#endif

#ifndef __PRINTING__
#include <printing.h>
#endif

#ifndef __WINDOWS__
#include <windows.h>
#endif

/********/

typedef struct {
	Boolean		docDirty;
	Boolean		readOnly;
	short		refNum;
	FSSpec		fss;
	WindowPtr	window;
} FileStateRec, *FileStatePtr;

typedef struct {

	short			version;			/* The file format version.				   */
	Boolean			printRecValid;		/* True if print record has been created.  */
	TPrint			print;				/* Print record for file.				   */
	short			endFileInfo;		/* Above info is saved to disk.			   */

	long			windowID[2];		/* Used to match up windows.			   */
	short			endSendInfo;		/* Above is send info.					   */

	Boolean			connected;			/* Flag showing we are connected.		   */
	AEAddressDesc	remoteUserLoc;		/* AppleEvents address of remote user.	   */
	char			remoteUserName[34];	/* Name of user connected to.			   */
	short			endLocalInfo;		/* Above info is for one machine only.	   */

	Handle			textHndl;			/* Temporarily holds opened document text. */
	TEHandle		inBox;				/* Handles to TextEdit in-box.			   */
	TEHandle		outBox;				/* Handles to TextEdit out-box.			   */
} TheDoc, *TheDocPtr, **TheDocHndl;

typedef struct {
	FileStateRec	fileState;
	TheDoc			doc;
} FileRec, *FileRecPtr, **FileRecHndl;

/********/

#define kCustomEventClass  'CUST'
#define keyAppMessage      'KMSG'
#define keyFSS             'KFSS'
#define keyPascal          'PSTR'
#define keyAppConnect      'KCNT'
#define keyWindowID	       'KWND'

#define typeAppConnect     'KCNT'
#define typeAppMessage     'KMSG'
#define typeDoubleLong     'DBLL'
#define typeKFSS           'KFSS'		/* 2/20/91 pvh - changed from typeFSS which was defined in AppleEvents.h */
#define typePascal         'PSTR'
#define typeTextMessage    'KTXT'

#define keyReplyErr        'errn'

#define kVersion		100
#define kWrongVersion	100

#define kInvalVRefNum	0

#define kSaveYes		1
#define kSaveNo			3
#define kSaveCanceled	4

#define kOpenYes		1
#define kOpenNo			3

#define kDisconnectMssg	0
#define kTextMssg		1

#define kMaxNumWindows		65535
#define kMinWindowWidth		200
#define kMinWindowHeight	200
#define kMaxWindowWidth		2000
#define kMaxWindowHeight	2000

#endif __CSHELL__
