/*------------------------------------------------------------------------------
#
#	Apple Macintosh Developer Technical Support
#
#	CShell
#
#	CShell.r	-	Rez Source
#
#	Copyright  1989-1991 Apple Computer, Inc.
#	All rights reserved.
#
#	Versions:
#				1.0b0				12/90
#
------------------------------------------------------------------------------*/


#include "Types.r"
#include "SysTypes.r"
#include "BalloonTypes.r"
#include "CShellCommon.h"
#include "UtilitiesCommon.h"


include "view.cdef" 'CDEF' ("ViewCtl") as 
		'CDEF' (rViewCtl, "ViewCtl");


resource 'STR ' (-16396) {
	"CShell"
};
type docCreator as 'STR ';			/* Put all 'STR ' resources before this!! */
resource docCreator (0) {
	"CShell - Version 1.0b0 - System 6.0 & 7.0"
};
resource 'vers' (1, purgeable) {
	0x02,
	0x00,
	beta,
	0x01,
	verUs,
	"1.0b0",
	"CShell - Version 1.0b0 - System 6.0 & 7.0"
};




/* we use an MBAR resource to conveniently load all the menus */

resource 'MBAR' (rMenuBar, preload) {
	{ mApple, mFile, mEdit, mCommunicate };
};




resource 'MENU' (mApple, preload) {
	mApple, textMenuProc,
	AllItems & ~MenuItem2,	/* Disable dashed line, enable About and DAs */
	enabled, apple,
	{
		"About CShell 1.0",	noicon, nokey, nomark, plain;
		"-",					noicon, nokey, nomark, plain
	}
};

resource 'MENU' (mFile, preload) {
	mFile, textMenuProc,
	MenuItem12,		/* disable everything but quit, program does the enabling */
	enabled, "File",
	{
		"New",				noicon, "N", nomark, plain;
		"Open",			noicon, "O", nomark, plain;
		"-",				noicon, nokey, nomark, plain;
		"Close",			noicon, "W", nomark, plain;
		"Save",				noicon, "S", nomark, plain;
		"Save As",			noicon, nokey, nomark, plain;
		"Duplicate",		noicon, "D", nomark, plain;
		"-",				noicon, nokey, nomark, plain;
		"Page Setup",		noicon, nokey, nomark, plain;
		"Print",			noicon, "P", nomark, plain;
		"-",				noicon, nokey, nomark, plain;
		"Quit",				noicon, "Q", nomark, plain
	}
};

resource 'MENU' (mEdit, preload) {
	mEdit, textMenuProc,
	NoItems,				/* disable everything, program does the enabling */
	enabled, "Edit",
	 {
		"Undo",			noicon, "Z", nomark, plain;
		"-",			noicon, nokey, nomark, plain;
		"Cut",			noicon, "X", nomark, plain;
		"Copy",			noicon, "C", nomark, plain;
		"Paste",		noicon, "V", nomark, plain;
		"Clear",		noicon, nokey, nomark, plain;
	}
};

resource 'MENU' (mCommunicate, preload) {
	mCommunicate, textMenuProc,
	NoItems,				/* disable everything, program does the enabling */
	enabled, "Communicate",
	 {
		"Connect",			noicon, nokey, nomark, plain;
		"Send Text",		noicon, "T", nomark, plain;
	}
};





/* this ALRT and DITL are used as an About screen */

resource 'ALRT' (rAboutAlert, purgeable) {
	{40, 20, 206, 341},
	rAboutAlert,
	{
		OK, visible, silent,
		OK, visible, silent,
		OK, visible, silent,
		OK, visible, silent
	}
};
resource 'DITL' (rAboutAlert, purgeable) {
	{ /* array DITLarray: 5 elements */
		{135, 228, 155, 308},	Button { enabled, "OK" },
		{8, 8, 44, 260},		StaticText { disabled, "CShell 1.0b0 (6.0.x & 7.0 compatible)\n"
													   "(Running under 6.0.x is rather dull.)"},
		{52, 8, 68, 260},		StaticText { disabled, "Copyright  1989-1991 Apple Computer" },
		{84, 8, 124, 308},		StaticText { disabled, "Written by:  Eric Soldan\nAny problems "
													   "or suggestions, let me know."  },
		{130, 8, 150, 209},		StaticText { disabled, "  (408-974-1899, AL: SOLDAN)" }
	}
};





resource 'DLOG' (rYesNoCancel, purgeable) {
	{40, 20, 144, 400},
	dBoxProc,
	visible,
	noGoAway,
	0x0,
	rYesNoCancel,
	""
};
resource 'DITL' (rYesNoCancel, purgeable) {
	{
		{71, 315, 91, 367},		Button { enabled, "Save" },
		{0, -1000, 20, 2},		StaticText { disabled, "=S190001,=s190001,=D190003,=d190003,=.190104,1B190004" },
		{71, 80, 91, 162},		Button { enabled, "Dont Save" },
		{71, 244, 91, 302},		Button { enabled, "Cancel" },
		{11, 78, 61, 366},		StaticText { disabled, "Save changes to the CShell document ^0 before ^1?" },
		{11, 23, 43, 55},		Icon { disabled, 2 }
	}
};






resource 'DLOG' (rOpenReadOnly, purgeable) {
	{40, 20, 144, 355},
	dBoxProc,
	visible,
	noGoAway,
	0x0,
	rOpenReadOnly,
	""
};
resource 'DITL' (rOpenReadOnly, purgeable) {
	{
		{71, 261, 91, 322},		Button { enabled, "Open" },
		{0, -1000, 20, 2},		StaticText { disabled, "=.190104,1B190004" },
		{71, 174, 91, 248},		Button { enabled, "Cancel" },
		{11, 78, 61, 320},		StaticText { disabled, "Open the CShell document ^0 as read-only?" },
		{11, 23, 43, 55},		Icon { disabled, 2 }
	}
};






/* this ALRT and DITL are used as an error screen */

resource 'ALRT' (rErrorAlert, purgeable) {
	{40, 20, 120, 260},
	rErrorAlert,
	{
		OK, visible, silent,
		OK, visible, silent,
		OK, visible, silent,
		OK, visible, silent
	}
};
resource 'DITL' (rErrorAlert, purgeable) {
	{
		{50, 150, 70, 230},	Button { enabled, "OK" },
		{10, 60, 30, 230},	StaticText { disabled, "CShell - Error occurred!" },
		{8, 8, 40, 40},		Icon { disabled, 2 }
	}
};






resource 'WIND' (rWindow, preload, purgeable) {
	{rWindowYPos, rWindowXPos, rWindowYPos + rWindowHeight, rWindowXPos + rWindowWidth},
	zoomDocProc, invisible, goAway, 0x0, "CShell"
};



/* here is the quintessential MultiFinder friendliness device, the SIZE resource */

resource 'SIZE' (-1) {
	dontSaveScreen,
	acceptSuspendResumeEvents,
	enableOptionSwitch,
	canBackground,				/* Can properly use background null events	*/
	doesActivateOnFGSwitch,		/* We do our own activate/deactivate; don't fake us out */
	backgroundAndForeground,	/* This is definitely not a background-only application! */
	dontGetFrontClicks,			/* Change this is if you want "do first click" behavior like the Finder */
	ignoreAppDiedEvents,		/* Essentially, I'm not a debugger (sub-launching) */
	is32BitCompatible,			/* This app can be run in 32-bit address space */
	isHighLevelEventAware,		/* does Post/AcceptHighLevelEvent */
	localAndRemoteHLEvents,
	notStationeryAware,
	dontUseTextEditServices,
	reserved,
	reserved,
	reserved,
	kPrefSize * 2048,
	kMinSize * 2048
};

resource 'STR#' (rMiscStrings, purgeable) {
	{
		"Save File As:",
		"Untitled #",
		"closing",
		"quitting"
	}
};

resource 'STR#'(rBadNewsStrings, purgeable) {
	{
	/* [1] */	"This program needs to run on a Macintosh with 128K or better";
	/* [2] */	"Your heap is too small to run this application";
	/* [3] */	"Your heap is too small to run this application";
	/* [4] */	"An error has occured";
	}
};








resource 'FREF' (129) {
	docFileType,
	1,
	""
};


resource 'FREF' (128) {
	'APPL',
	0,
	""
};


resource 'BNDL' (128) {
	docCreator, 0, {
		'ICN#', { 0, 128, 1, 129 },
		'FREF', { 0, 128, 1, 129 }
	}
};







resource 'icl4' (128) {
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 00FF FFFF FF00"
	$"0000 0000 0000 0000 0000 00FF FFFF FF00"
	$"0000 0000 0000 0000 0000 00FF FFFF FF00"
	$"0000 0000 0000 0000 0000 00F0 0000 F000"
	$"0000 0000 0000 0000 0000 0F00 0000 F000"
	$"0000 0000 0000 0000 0000 F000 000F 0000"
	$"0000 0000 0000 0000 000F 0000 000F 0000"
	$"0000 0000 0000 0000 00F0 00F0 000F 0000"
	$"0000 0000 0000 0000 0F00 00F0 000F 0000"
	$"0000 0000 0000 0000 0F00 00F0 000F 0000"
	$"0000 0000 0000 0000 0F00 00F0 000F 0000"
	$"0000 0000 0000 0000 0F00 0FF0 000F 0000"
	$"0000 0000 0000 0000 0F00 F0FF 000F 0000"
	$"0000 0000 0000 0000 0F00 F0FF 00F0 0000"
	$"0000 0000 0000 0000 00F0 0FF0 00F0 0000"
	$"0000 0000 00FF FFFF 000F 0F00 0F00 0000"
	$"0000 0000 FF00 0000 FF00 FF00 F000 0000"
	$"0000 000F 0000 0000 00F0 00FF 00F0 0F00"
	$"0000 000F 0000 0000 000F 00F0 0F00 F000"
	$"0000 00F0 0000 0000 000F 00F0 0F00 F000"
	$"0000 00F0 0000 FFF0 0000 F0F0 0F00 F000"
	$"0000 00F0 000F 000F 0000 F000 FFFF F000"
	$"0000 00F0 000F 0000 F000 F00F 0000 0F00"
	$"0000 00F0 0000 F000 F000 FFF0 000F 00F0"
	$"0000 00F0 0000 0000 F000 0000 0F00 00F0"
	$"000F FF0F 0000 0000 F000 0000 00FF FFF0"
	$"00F0 0000 F000 000F 0000 0000 0000 00F0"
	$"0FFF FFFF 0FFF FFF0 FFFF FFFF FFFF FF"
};

resource 'icl4' (129) {
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 00FF FFFF 0000 0000 0000 0000"
	$"0000 0000 FF00 0000 FF00 0000 0000 0000"
	$"0000 000F 0000 0000 00F0 0000 00F0 0F00"
	$"0000 000F 0000 0000 000F 0000 0F00 F000"
	$"0000 00F0 0000 0000 000F 0000 0F00 F000"
	$"0000 00F0 0000 FFF0 0000 F000 0F00 F000"
	$"0000 00F0 000F 000F 0000 F000 FFFF F000"
	$"0000 00F0 000F 0000 F000 F00F 0000 0F00"
	$"0000 00F0 0000 F000 F000 FFF0 000F 00F0"
	$"0000 00F0 0000 0000 F000 0000 0F00 00F0"
	$"000F FF0F 0000 0000 F000 0000 00FF FFF0"
	$"00F0 0000 F000 000F 0000 0000 0000 00F0"
	$"0FFF FFFF 0FFF FFF0 FFFF FFFF FFFF FF"
};

resource 'icl8' (128) {
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 FFFF FFFF FFFF FFFF 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 FFFF FFFF FFFF FFFF 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 FFFF FFFF FFFF FFFF 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 FF00 0000 0000 FF00 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 00FF 0000 0000 0000 FF00 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 FF00 0000 0000 00FF 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 00FF 0000 0000 0000 00FF 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 FF00 0000 FF00 0000 00FF 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"00FF 0000 0000 FF00 0000 00FF 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"00FF 0000 0000 FF00 0000 00FF 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"00FF 0000 0000 FF00 0000 00FF 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"00FF 0000 00FF FF00 0000 00FF 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"00FF 0000 FF00 FFFF 0000 00FF 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"00FF 0000 FF00 FFFF 0000 FF00 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 FF00 00FF FF00 0000 FF00 0000 0000"
	$"0000 0000 0000 0000 0000 FFFF FFFF FFFF"
	$"0000 00FF 00FF 0000 00FF 0000 0000 0000"
	$"0000 0000 0000 0000 FFFF 0000 0000 0000"
	$"FFFF 0000 FFFF 0000 FF00 0000 0000 0000"
	$"0000 0000 0000 00FF 0000 0000 0000 0000"
	$"0000 FF00 0000 FFFF 0000 FF00 00FF 0000"
	$"0000 0000 0000 00FF 0000 0000 0000 0000"
	$"0000 00FF 0000 FF00 00FF 0000 FF00 0000"
	$"0000 0000 0000 FF00 0000 0000 0000 0000"
	$"0000 00FF 0000 FF00 00FF 0000 FF00 0000"
	$"0000 0000 0000 FF00 0000 0000 FFFF FF00"
	$"0000 0000 FF00 FF00 00FF 0000 FF00 0000"
	$"0000 0000 0000 FF00 0000 00FF 0000 00FF"
	$"0000 0000 FF00 0000 FFFF FFFF FF00 0000"
	$"0000 0000 0000 FF00 0000 00FF 0000 0000"
	$"FF00 0000 FF00 00FF 0000 0000 00FF 0000"
	$"0000 0000 0000 FF00 0000 0000 FF00 0000"
	$"FF00 0000 FFFF FF00 0000 00FF 0000 FF00"
	$"0000 0000 0000 FF00 0000 0000 0000 0000"
	$"FF00 0000 0000 0000 00FF 0000 0000 FF00"
	$"0000 00FF FFFF 00FF 0000 0000 0000 0000"
	$"FF00 0000 0000 0000 0000 FFFF FFFF FF00"
	$"0000 FF00 0000 0000 FF00 0000 0000 00FF"
	$"0000 0000 0000 0000 0000 0000 0000 FF00"
	$"00FF FFFF FFFF FFFF 00FF FFFF FFFF FF00"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
};

resource 'icl8' (129) {
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 FFFF FFFF FFFF"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 FFFF 0000 0000 0000"
	$"FFFF 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 00FF 0000 0000 0000 0000"
	$"0000 FF00 0000 0000 0000 FF00 00FF 0000"
	$"0000 0000 0000 00FF 0000 0000 0000 0000"
	$"0000 00FF 0000 0000 00FF 0000 FF00 0000"
	$"0000 0000 0000 FF00 0000 0000 0000 0000"
	$"0000 00FF 0000 0000 00FF 0000 FF00 0000"
	$"0000 0000 0000 FF00 0000 0000 FFFF FF00"
	$"0000 0000 FF00 0000 00FF 0000 FF00 0000"
	$"0000 0000 0000 FF00 0000 00FF 0000 00FF"
	$"0000 0000 FF00 0000 FFFF FFFF FF00 0000"
	$"0000 0000 0000 FF00 0000 00FF 0000 0000"
	$"FF00 0000 FF00 00FF 0000 0000 00FF 0000"
	$"0000 0000 0000 FF00 0000 0000 FF00 0000"
	$"FF00 0000 FFFF FF00 0000 00FF 0000 FF00"
	$"0000 0000 0000 FF00 0000 0000 0000 0000"
	$"FF00 0000 0000 0000 00FF 0000 0000 FF00"
	$"0000 00FF FFFF 00FF 0000 0000 0000 0000"
	$"FF00 0000 0000 0000 0000 FFFF FFFF FF00"
	$"0000 FF00 0000 0000 FF00 0000 0000 00FF"
	$"0000 0000 0000 0000 0000 0000 0000 FF00"
	$"00FF FFFF FFFF FFFF 00FF FFFF FFFF FF00"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
};

resource 'ICN#' (128) {
	{	/* array: 2 elements */
		/* [1] */
		$"0000 0000 0000 0000 0000 0000 0000 03FC"
		$"0000 03FC 0000 03FC 0000 0208 0000 0408"
		$"0000 0810 0000 1010 0000 2210 0000 4210"
		$"0000 4210 0000 4210 0000 4610 0000 4B10"
		$"0000 4B20 0000 2620 003F 1440 00C0 CC80"
		$"0100 2324 0100 1248 0200 1248 020E 0A48"
		$"0211 08F8 0210 8904 0208 8E12 0200 8042"
		$"1D00 803E 2081 0002 7F7E FFFC",
		/* [2] */
		$"0000 0000 0000 0000 0000 0000 0000 03FC"
		$"0000 03FC 0000 03FC 0000 03F8 0000 07F8"
		$"0000 0FF0 0000 1FF0 0000 3FF0 0000 7FF0"
		$"0000 7FF0 0000 7FF0 0000 7FF0 0000 7FF0"
		$"0000 7FE0 0000 3FE0 003F 1FC0 00FF CF80"
		$"01FF E324 01FF F248 03FF F248 03FF FA48"
		$"03FF F8F8 03FF F9FC 03FF FFFE 03FF FFFE"
		$"1FFF FFFE 3FFF FFFE 7F7E FFFC"
	}
};

resource 'ICN#' (129) {
	{	/* array: 2 elements */
		/* [1] */
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 0000 0000 003F 0000 00C0 C000"
		$"0100 2024 0100 1048 0200 1048 020E 0848"
		$"0211 08F8 0210 8904 0208 8E12 0200 8042"
		$"1D00 803E 2081 0002 7F7E FFFC",
		/* [2] */
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 0000 0000 003F 0000 00FF C000"
		$"01FF E024 01FF F048 03FF F048 03FF F848"
		$"03FF F8F8 03FF F9FC 03FF FFFE 03FF FFFE"
		$"1FFF FFFE 3FFF FFFE 7F7E FFFC"
	}
};

resource 'ics#' (128) {
	{	/* array: 2 elements */
		/* [1] */
		$"0000 007C 007C 0078 0028 0048 0048 0070"
		$"0020 0FA0 1045 132A 14AA 10BE 0941 7FFE",
		/* [2] */
		$"0000 007C 007C 0078 0038 0078 0078 0070"
		$"0020 0FA0 1FC5 1FEE 1FEE 1FFE 0FFF 7FFE"
	}
};

resource 'ics#' (129) {
	{	/* array: 2 elements */
		/* [1] */
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0F80 1045 132A 14AA 10BE 0941 7FFE",
		/* [2] */
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0F80 1FC5 1FEE 1FEE 1FFE 0FFF 7FFE"
	}
};

resource 'ics4' (128) {
	$"0000 0000 0000 0000 0000 0000 0FFF FF00"
	$"0000 0000 0FFF FF00 0000 0000 0FFF F000"
	$"0000 0000 00F0 F000 0000 0000 0F00 F000"
	$"0000 0000 0F00 F000 0000 0000 0FFF 0000"
	$"0000 0000 00F0 0000 0000 FFFF F0F0 0000"
	$"000F 0000 0F00 0F0F 000F 00FF 00F0 F0F0"
	$"000F 0F00 F0F0 F0F0 000F 0000 F0FF FFF0"
	$"0000 F00F 0F00 000F 0FFF FFFF FFFF FFF0"
};

resource 'ics4' (129) {
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 FFFF F000 0000"
	$"000F 0000 0F00 0F0F 000F 00FF 00F0 F0F0"
	$"000F 0F00 F0F0 F0F0 000F 0000 F0FF FFF0"
	$"0000 F00F 0F00 000F 0FFF FFFF FFFF FFF0"
};

resource 'ics8' (128) {
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 00FF FFFF FFFF 0000"
	$"0000 0000 0000 0000 00FF FFFF FFFF 0000"
	$"0000 0000 0000 0000 00FF FFFF FF00 0000"
	$"0000 0000 0000 0000 0000 FF00 FF00 0000"
	$"0000 0000 0000 0000 00FF 0000 FF00 0000"
	$"0000 0000 0000 0000 00FF 0000 FF00 0000"
	$"0000 0000 0000 0000 00FF FFFF 0000 0000"
	$"0000 0000 0000 0000 0000 FF00 0000 0000"
	$"0000 0000 FFFF FFFF FF00 FF00 0000 0000"
	$"0000 00FF 0000 0000 00FF 0000 00FF 00FF"
	$"0000 00FF 0000 FFFF 0000 FF00 FF00 FF00"
	$"0000 00FF 00FF 0000 FF00 FF00 FF00 FF00"
	$"0000 00FF 0000 0000 FF00 FFFF FFFF FF00"
	$"0000 0000 FF00 00FF 00FF 0000 0000 00FF"
	$"00FF FFFF FFFF FFFF FFFF FFFF FFFF FF"
};

resource 'ics8' (129) {
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 FFFF FFFF FF00 0000 0000 0000"
	$"0000 00FF 0000 0000 00FF 0000 00FF 00FF"
	$"0000 00FF 0000 FFFF 0000 FF00 FF00 FF00"
	$"0000 00FF 00FF 0000 FF00 FF00 FF00 FF00"
	$"0000 00FF 0000 0000 FF00 FFFF FFFF FF00"
	$"0000 0000 FF00 00FF 00FF 0000 0000 00FF"
	$"00FF FFFF FFFF FFFF FFFF FFFF FFFF FF"
};

resource 'SICN' (128) {
	{	/* array: 1 elements */
		/* [1] */
		$"0000 007C 007C 0078 0028 0048 0048 0070"
		$"0020 0FA0 1045 132A 14AA 10BE 0941 7FFE"
	}
};








resource 'CURS' (ibeamCursor) {
	$"0C60 0280 0100 0100 0100 0100 0100 0100"
	$"0100 0100 0100 0100 0100 0100 0280 0C60",
	$"",
	{7, 7}
};

resource 'CURS' (oappCursor) {
	$"0000 0000 38F0 4510 4510 4530 38D0 0000"
	$"0000 79E0 4510 4510 4510 79E0 4100 41",
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF",
	{8, 6}
};

resource 'CURS' (odocCursor) {
	$"0010 0010 38F0 4510 4510 4510 38F0 0000"
	$"0000 0000 38E0 4510 4500 4500 38F0",
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF",
	{8, 6}
};

resource 'CURS' (pdocCursor) {
	$"0010 0010 78F0 4510 4510 4510 78F0 4000"
	$"4000 0000 38E0 4510 4500 4500 38F0",
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF",
	{8, 6}
};

resource 'CURS' (quitCursor) {
	$"0000 0000 3D10 4510 4510 4510 3CE0 0400"
	$"1440 0040 10E0 1040 1040 1040 1030",
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF",
	{8, 6}
};

resource 'CURS' (ansrCursor) {
	$"0000 0000 3D60 4590 4510 4D10 3510 0000"
	$"0000 0000 3D60 4190 3900 0500 79",
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF",
	{8, 6}
};

resource 'CURS' (mvfwCursor) {
	$"0000 0000 7910 5510 5510 54A0 5440 0000"
	$"1000 2800 2150 7150 2150 2150 20A0",
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF",
	{8, 6}
};

resource 'CURS' (echoCursor) {
	$"0000 0000 38E0 4510 7D00 4100 38F0 0000"
	$"4000 4000 58E0 6510 4510 4510 44E0",
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF",
	{8, 6}
};



/***************************************************************************/
/***************************************************************************/
/***************************************************************************/



resource 'STR#' (mApple) {
	{
/*  1 */	"Displays version and other information about this application."
	};
};


resource 'hmnu' (mApple, "\0x14") {
	HelpMgrVersion,					/* Help Version							*/
	0,								/* options								*/
	0,								/* theProc								*/
	0,								/* variant								*/
	HMSkipItem {					/* skip missing msg						*/
		},
	{
		/* Menu title */
		HMStringResItem {
			mApple,0,				/* menu item message					*/
			mApple,0,				/* disabled item message				*/
			mApple,0,				/* reserved message						*/
			mApple,0				/* reserved message						*/
		},

		/* About item */
		HMStringResItem {
			mApple,1,				/* menu item message					*/
			mApple,1,				/* disabled item message				*/
			mApple,0,				/* reserved message						*/
			mApple,0				/* reserved message						*/
		}
	};
};

resource 'STR#' (mFile) {
	{
/*  1 */	"Operations related to communication windows.",
/*  2 */	"Creates a new communication window.",
/*  3 */	"Opens an existing communication window.",
/*  4 */	"Closes the current communication window.",
/*  5 */	"Closes the current communication window.  To enable this item, "
			"choose New or Open from the File menu.",
/*  6 */	"Saves the current communication window.",
/*  7 */	"Saves the current communication window.  This item is enabled when a change has "
			"occured to the current window since it was opened, or since the last save.",
/*  8 */	"Saves the current communication window under a different name.",
/*  9 */	"Saves the current communication window under a different name.  To enable this item, "
			"choose New or Open from the File menu.",
/* 10 */	"Duplicates the current communication window.",
/* 11 */	"Duplicates the current communication window.  To enable this item, "
			"choose New or Open from the File menu.",
/* 12 */	"Sets up paper size, orientation, and other printing options.",
/* 13 */	"Sets up paper size, orientation, and other printing options.  To enable "
			"this item, choose New or Open from the File menu.",
/* 14 */	"Prints the board position of the current communication window.",
/* 15 */	"Prints the board position of the current communication window.  To enable this item, "
			"choose New or Open from the File menu.",
/* 16 */	"Quit from this application."
	}
};

resource 'hmnu' (mFile, "File") {
	HelpMgrVersion,					/* Help Version							*/
	0,								/* options								*/
	0,								/* theProc								*/
	0,								/* variant								*/
	HMSkipItem {					/* skip missing msg						*/
		},
	{
		/* File */
		HMStringResItem {
			mFile,1,				/* menu title message					*/
			mFile,1,				/* disabled title message				*/
			mFile,0,				/* reserved message						*/
			mFile,0					/* reserved message						*/
		},

		/* New */
		HMStringResItem {
			mFile,2,				/* menu item message					*/
			mFile,0,				/* disabled item message				*/
			mFile,0,				/* reserved message						*/
			mFile,0					/* reserved message						*/
		},

		/* Open */
		HMStringResItem {
			mFile,3,				/* menu item message					*/
			mFile,0,				/* disabled item message				*/
			mFile,0,				/* reserved message						*/
			mFile,0					/* reserved message						*/
		},

		/* Disabled Line */
		HMSkipItem {				/* skip missing msg						*/
		},

		/* Close */
		HMStringResItem {
			mFile,4,				/* menu item message					*/
			mFile,5,				/* disabled item message				*/
			mFile,0,				/* reserved message						*/
			mFile,0					/* reserved message						*/
		},

		/* Save */
		HMStringResItem {
			mFile,6,				/* menu item message					*/
			mFile,7,				/* disabled item message				*/
			mFile,0,				/* reserved message						*/
			mFile,0					/* reserved message						*/
		},

		/* Save As */
		HMStringResItem {
			mFile,8,				/* menu item message					*/
			mFile,9,				/* disabled item message				*/
			mFile,0,				/* reserved message						*/
			mFile,0					/* reserved message						*/
		},

		/* Duplicate */
		HMStringResItem {
			mFile,10,				/* menu item message					*/
			mFile,11,				/* disabled item message				*/
			mFile,0,				/* reserved message						*/
			mFile,0					/* reserved message						*/
		},

		/* Disabled Line */
		HMSkipItem {				/* skip missing msg						*/
		},

		/* Page Setup */
		HMStringResItem {
			mFile,12,				/* menu item message					*/
			mFile,13,				/* disabled item message				*/
			mFile,0,				/* reserved message						*/
			mFile,0					/* reserved message						*/
		},

		/* Print */
		HMStringResItem {
			mFile,14,				/* menu item message					*/
			mFile,15,				/* disabled item message				*/
			mFile,0,				/* reserved message						*/
			mFile,0					/* reserved message						*/
		},

		/* Disabled Line */
		HMSkipItem {				/* skip missing msg						*/
		},

		/* Quit */
		HMStringResItem {
			mFile,16,				/* menu item message					*/
			mFile,0,				/* disabled item message				*/
			mFile,0,				/* reserved message						*/
			mFile,0					/* reserved message						*/
		}
	}
};


resource 'STR#' (mEdit) {
	{
/*  1 */	"Editing operations.",

/*  2 */	"Undo last text change.",
/*  3 */	"Undo last text change.  This item is disabled when there is no "
			"window, or there is no text change to undo.",
/*  4 */	"Cuts the current selection into the clipboard.",
/*  5 */	"Cuts the current selection into the clipboard.  "
			"(There is nothing selected right now.)",
/*  6 */	"Copies the current selection into the clipboard.",
/*  7 */	"Copies the current selection into the clipboard.  "
			"(There is nothing selected right now.)",
/*  8 */	"Pastes the clipboard contents into the document.",
/*  9 */	"Pastes the current selection.  (Can't paste here.)",
/* 10 */	"Clears the current selection.",
/* 11 */	"Clears the current selection.  "
			"(There is nothing selected right now.)"
	}
};

resource 'hmnu' (mEdit, "Edit") {
	HelpMgrVersion,					/* Help Version							*/
	0,								/* options								*/
	0,								/* theProc								*/
	0,								/* variant								*/
	HMSkipItem {					/* skip missing msg						*/
		},
	{
		/* Edit */
		HMStringResItem {
			mEdit,1,				/* menu title message					*/
			mEdit,1,				/* disabled title message				*/
			mEdit,0,				/* reserved message						*/
			mEdit,0					/* reserved message						*/
		},

		/* Undo */
		HMStringResItem {
			mEdit,2,				/* menu item message					*/
			mEdit,3,				/* disabled item message				*/
			mEdit,0,				/* reserved message						*/
			mEdit,0					/* reserved message						*/
		},

		/* Disabled Line */
		HMSkipItem {				/* skip missing msg						*/
		},

		/* Cut */
		HMStringResItem {
			mEdit,4,				/* menu item message					*/
			mEdit,5,				/* disabled item message				*/
			mEdit,0,				/* reserved message						*/
			mEdit,0					/* reserved message						*/
		},

		/* Copy */
		HMStringResItem {
			mEdit,6,				/* menu item message					*/
			mEdit,7,				/* disabled item message				*/
			mEdit,0,				/* reserved message						*/
			mEdit,0					/* reserved message						*/
		},

		/* Paste */
		HMStringResItem {
			mEdit,8,				/* menu item message					*/
			mEdit,9,				/* disabled item message				*/
			mEdit,0,				/* reserved message						*/
			mEdit,0					/* reserved message						*/
		},

		/* Clear */
		HMStringResItem {
			mEdit,10,				/* menu item message					*/
			mEdit,11,				/* disabled item message				*/
			mEdit,0,				/* reserved message						*/
			mEdit,0					/* reserved message						*/
		}

	}
};


resource 'STR#' (mCommunicate, "Communicate") {
	{
/*  1 */	"What to do with a communication window.",
/*	2 */	"Connect to a remote user for this window.  ",
/*	3 */	"Connect to a remote user for this window.  "
			"To enable this item, choose New or Open from the File menu.",
/*	4 */	"Send Text to remote user.",
/*	5 */	"Send Text to remote user.  To enable this item, "
			"first connect to a remote user.",
	}
};


resource 'hmnu' (mCommunicate, "Game") {
	HelpMgrVersion,						/* Help Version							*/
	0,									/* options								*/
	0,									/* theProc								*/
	0,									/* variant								*/
	HMSkipItem {						/* skip missing msg						*/
		},
	{
		HMStringResItem {
			mCommunicate,1,				/* menu title message					*/
			mCommunicate,1,				/* disabled title message				*/
			mCommunicate,0,				/* reserved message						*/
			mCommunicate,0				/* reserved message						*/
		},

		HMStringResItem {
			mCommunicate,2,				/* menu title message					*/
			mCommunicate,3,				/* disabled title message				*/
			mCommunicate,0,				/* reserved message						*/
			mCommunicate,0				/* reserved message						*/
		},

		HMStringResItem {
			mCommunicate,4,				/* menu title message					*/
			mCommunicate,5,				/* disabled title message				*/
			mCommunicate,0,				/* reserved message						*/
			mCommunicate,0				/* reserved message						*/
		},

	}
};

resource 'STR#' (rDynHelpStrings, purgeable) {
	{
		"Text displayed here was sent by a remote user.",
		"Text displayed here was sent by a remote user.  Use Connect "
		"to connect to a remote user.",
	
		"Text entered here can be sent to a remote user.",
		"Use this to send a message to the opponent.  Use Connect "
		"to connect to a remote user.",
	}
};



/***************************************************************************/
/***************************************************************************/
/***************************************************************************/






resource 'STR#'(rPPCText, preload) {
	{
/* [1] */	"Pick somebody:",
/* [2] */	"People to chat with",
	}
};




/***************************************************************************/




resource 'DLOG' (rPrStatusDlg) {
	{110, 40, 219, 423},
	dBoxProc,
	visible,
	goAway,
	0x0,
	rPrStatusDlg,
	""
};
resource 'DITL' (rPrStatusDlg) {
	{
		{72, 24, 92, 104},		Button { enabled, "Proceed" },
		{72, 128, 92, 208},		Button { enabled, "Pause" },
		{72, 232, 92, 362},		Button { enabled, "Cancel Printing" },
		{16, 24, 56, 300},		StaticText { disabled, "Document ^0 is being printed." }
	}
};
