/*------------------------------------------------------------------------------
#
#	Apple Macintosh Developer Technical Support
#
#	Kibitz
#
#	Kibitz.r	-	Rez Source
#
#	Copyright  1989-1991 Apple Computer, Inc.
#	All rights reserved.
#
#	Versions:
#				1.0b10				12/90
#
------------------------------------------------------------------------------*/


#include "Types.r"
#include "SysTypes.r"
#include "BalloonTypes.r"
#include "KibitzCommon.h"
#include "UtilitiesCommon.h"


include "view.cdef" 'CDEF' ("ViewCtl") as 
		'CDEF' (rViewCtl, "ViewCtl");

include "view.cdef" 'CDEF' ("ViewCtl") as 
		'CDEF' (rSliderCtl, "SliderCtl");



resource 'STR ' (-16396) {
	"Kibitz"
};
type 'KBTZ' as 'STR ';			/* Put all 'STR ' resources before this!! */
resource 'KBTZ' (0) {
	"Kibitz - Version 1.0b10 - System 6.0 & 7.0"
};
resource 'vers' (1, purgeable) {
	0x02,
	0x00,
	beta,
	0x01,
	verUs,
	"1.0b10",
	"Kibitz - Version 1.0b10 - System 6.0 & 7.0"
};




/* we use an MBAR resource to conveniently load all the menus */

resource 'MBAR' (rMenuBar, preload) {
	{ mApple, mFile, mEdit, mGame };
};




resource 'MENU' (mApple, preload) {
	mApple, textMenuProc,
	AllItems & ~MenuItem2,	/* Disable dashed line, enable About and DAs */
	enabled, apple,
	{
		"About Kibitz 1.0",	noicon, nokey, nomark, plain;
		"-",					noicon, nokey, nomark, plain
	}
};

resource 'MENU' (mFile, preload) {
	mFile, textMenuProc,
	MenuItem12,		/* disable everything but quit, program does the enabling */
	enabled, "File",
	{
		"New",				noicon, "N", nomark, plain;
		"Open",			noicon, "O", nomark, plain;
		"-",				noicon, nokey, nomark, plain;
		"Close",			noicon, "W", nomark, plain;
		"Save",				noicon, "S", nomark, plain;
		"Save As",			noicon, nokey, nomark, plain;
		"Duplicate",		noicon, "D", nomark, plain;
		"-",				noicon, nokey, nomark, plain;
		"Page Setup",		noicon, nokey, nomark, plain;
		"Print",			noicon, "P", nomark, plain;
		"-",				noicon, nokey, nomark, plain;
		"Quit",				noicon, "Q", nomark, plain
	}
};

resource 'MENU' (mEdit, preload) {
	mEdit, textMenuProc,
	NoItems,				/* disable everything, program does the enabling */
	enabled, "Edit",
	 {
		"Undo",			noicon, "Z", nomark, plain;
		"-",			noicon, nokey, nomark, plain;
		"Cut",			noicon, "X", nomark, plain;
		"Copy",			noicon, "C", nomark, plain;
		"Paste",		noicon, "V", nomark, plain;
		"Clear",		noicon, nokey, nomark, plain;
	}
};

resource 'MENU' (mGame, preload) {
	mGame, textMenuProc,
	NoItems,				/* disable everything, program does the enabling */
	enabled, "Game",
	 {
		"Configure Game",		noicon, "G", nomark, plain;
		"Invert Board",			noicon, "I", nomark, plain;
		"-",					noicon, nokey, nomark, plain;
		"Arrange Board",		noicon, "A", nomark, plain;
		"1-Player Game",		noicon, "1", nomark, plain;
		"2-Player Game",		noicon, "2", nomark, plain;
	}
};





/* this ALRT and DITL are used as an About screen */

resource 'ALRT' (rAboutAlert, purgeable) {
	{40, 20, 206, 341},
	rAboutAlert,
	{
		OK, visible, silent,
		OK, visible, silent,
		OK, visible, silent,
		OK, visible, silent
	}
};
resource 'DITL' (rAboutAlert, purgeable) {
	{ /* array DITLarray: 5 elements */
		{135, 228, 155, 308},	Button { enabled, "OK" },
		{8, 8, 44, 260},		StaticText { disabled, "Kibitz 1.0b10 (6.0.x & 7.0 compatible)\n"
													   "   (6.0.x is one-player only.)"},
		{52, 8, 68, 260},		StaticText { disabled, "Copyright  1989-1991 Apple Computer" },
		{84, 8, 124, 308},		StaticText { disabled, "Written by:  Eric Soldan\nAny problems "
													   "or suggestions, let me know."  },
		{130, 8, 150, 209},		StaticText { disabled, "        (x41899, AL: SOLDAN)" }
	}
};





resource 'DLOG' (rYesNoCancel, purgeable) {
	{40, 20, 144, 400},
	dBoxProc,
	visible,
	noGoAway,
	0x0,
	rYesNoCancel,
	""
};
resource 'DITL' (rYesNoCancel, purgeable) {
	{
		{71, 315, 91, 367},		Button { enabled, "Save" },
		{0, -1000, 20, 2},		StaticText { disabled, "=S190001,=s190001,=D190003,=d190003,=.190104,1B190004" },
		{71, 80, 91, 162},		Button { enabled, "Dont Save" },
		{71, 244, 91, 302},		Button { enabled, "Cancel" },
		{11, 78, 61, 366},		StaticText { disabled, "Save changes to the Kibitz document ^0 before ^1?" },
		{11, 23, 43, 55},		Icon { disabled, 2 }
	}
};
resource 'DLOG' (rNoYesCancel, purgeable) {
	{40, 20, 144, 400},
	dBoxProc,
	visible,
	noGoAway,
	0x0,
	rNoYesCancel,
	""
};
resource 'DITL' (rNoYesCancel, purgeable) {
	{
		{71, 307, 91, 367},		Button { enabled, "No Way" },
		{0, -1000, 20, 2},		StaticText { disabled, "=N190001,=n190001,=S190003,=s190003,=.190104,1B190004" },
		{71, 80, 91, 130},		Button { enabled, "Save" },
		{71, 236, 91, 294},		Button { enabled, "Cancel" },
		{11, 78, 61, 366},		StaticText { disabled, "Save changes to the Kibitz document ^0 before ^1?" },
		{11, 23, 43, 55},		Icon { disabled, 2 }
	}
};






resource 'DLOG' (rOpenReadOnly, purgeable) {
	{40, 20, 144, 355},
	dBoxProc,
	visible,
	noGoAway,
	0x0,
	rOpenReadOnly,
	""
};
resource 'DITL' (rOpenReadOnly, purgeable) {
	{
		{71, 261, 91, 322},		Button { enabled, "Open" },
		{0, -1000, 20, 2},		StaticText { disabled, "=.190104,1B190004" },
		{71, 174, 91, 248},		Button { enabled, "Cancel" },
		{11, 78, 61, 320},		StaticText { disabled, "Open the Kibitz document ^0 as read-only?" },
		{11, 23, 43, 55},		Icon { disabled, 2 }
	}
};






/* this ALRT and DITL are used as an error screen */

resource 'ALRT' (rErrorAlert, purgeable) {
	{40, 20, 120, 260},
	rErrorAlert,
	{
		OK, visible, silent,
		OK, visible, silent,
		OK, visible, silent,
		OK, visible, silent
	}
};
resource 'DITL' (rErrorAlert, purgeable) {
	{
		{50, 150, 70, 230},	Button { enabled, "OK" },
		{10, 60, 30, 230},	StaticText { disabled, "Kibitz - Error occurred!" },
		{8, 8, 40, 40},		Icon { disabled, 2 }
	}
};






resource 'WIND' (rWindow, preload, purgeable) {
	{rWindowYPos, rWindowXPos, rWindowYPos + rWindowHeight, rWindowXPos + rWindowWidth},
	noGrowDocProc, invisible, goAway, 0x0, "Kibitz"
};



/* here is the quintessential MultiFinder friendliness device, the SIZE resource */

resource 'SIZE' (-1) {
	dontSaveScreen,
	acceptSuspendResumeEvents,
	enableOptionSwitch,
	canBackground,				/* Can properly use background null events	*/
	doesActivateOnFGSwitch,		/* We do our own activate/deactivate; don't fake us out */
	backgroundAndForeground,	/* This is definitely not a background-only application! */
	dontGetFrontClicks,			/* Change this is if you want "do first click" behavior like the Finder */
	ignoreAppDiedEvents,		/* Essentially, I'm not a debugger (sub-launching) */
	is32BitCompatible,			/* This app can be run in 32-bit address space */
	isHighLevelEventAware,		/* does Post/AcceptHighLevelEvent */
	localAndRemoteHLEvents,
	notStationeryAware,
	dontUseTextEditServices,
	reserved,
	reserved,
	reserved,
	kPrefSize * 2048,
	kMinSize * 2048
};

resource 'STR#' (rMiscStrings, purgeable) {
	{
		"Save File As:",
		"Game #",
		"closing",
		"quitting"
	}
};

resource 'STR#'(rBadNewsStrings, purgeable) {
	{
	/* [1] */	"This program needs to run on a Macintosh with 128K or better";
	/* [2] */	"Your heap is too small to run this application";
	/* [3] */	"Your heap is too small to run this application";
	/* [4] */	"An error has occured";
	}
};








resource 'FREF' (129) {
	docFileType,
	1,
	""
};


resource 'FREF' (128) {
	'APPL',
	0,
	""
};


resource 'BNDL' (128) {
	docCreator, 0, {
		'ICN#', { 0, 128, 1, 129 },
		'FREF', { 0, 128, 1, 129 }
	}
};












resource 'icl4' (128) {
	$"0000 0000 000F 00F0 0000 0000 0000 0000"
	$"0000 0000 000F F0FF 0000 0000 0000 0000"
	$"0000 0000 000F FFFF F000 0000 0000 0000"
	$"0000 0000 000F CCFC CF00 0000 0000 0000"
	$"0000 0000 000F CCFC CCFF 0000 0000 0000"
	$"0000 0000 00FC CCCC CCCC FF00 0000 0000"
	$"0000 0000 00FC CFFF CCCC FCF0 0000 0000"
	$"0000 0000 0FCC CFFC FCCC CCCF 0000 0000"
	$"0000 0000 0FCC CCCC CCCC CCFC F000 0000"
	$"0000 0000 FCCC CCCC CCCC CCFC CF00 0000"
	$"0000 000F CCCC CCCC CCCC CCFC CF00 0000"
	$"0000 000F CCCC CCCC CCCC CCCC FCF0 0000"
	$"0000 00FC CCCC CFCC CCCC CCCC FCF0 0000"
	$"0000 0FCC CCCC CCFC CCCF CCCC FCCF 0000"
	$"0000 0FCC CCCC CF0F FFFC CCCC FCCF 0000"
	$"0000 0FCF FFCC F000 0FCC CCCC CCFC F000"
	$"0000 00F0 0FCF 0000 FCCC CCCC CCFC F000"
	$"0000 0000 FCF0 000F CCCC CCCC CCFC F000"
	$"0000 0FF0 FF00 00FC CCCC CCCC CCFC CF00"
	$"0000 FF00 0000 00FC CCFF FFFF CCCC FF00"
	$"000F 00FF FFFF FFFF FF00 0000 FCCF CF00"
	$"00F0 0000 0000 0000 F000 0000 0FCC CF00"
	$"00F0 0000 0000 000F 00FF 0000 00FC CCF0"
	$"0F00 F000 F00F 000F FF00 F000 000F CCF0"
	$"0F00 0F0F 00F0 FFF0 0FFF FFFF F000 FFFF"
	$"0F00 00F0 0F00 00F0 00FF 0000 0000 0FFF"
	$"0F00 00F0 0FFF F00F 0000 0000 0000 0FFF"
	$"0F00 00F0 0F00 0000 F000 0000 0000 0FFF"
	$"00F0 0000 0000 0000 0FF0 0000 0000 0FFF"
	$"000F F000 0000 0000 000F FFFF FFF0 0FFF"
	$"0000 0FFF FFFF FFFF FFFC CCCC CCCF FFFF"
	$"0000 0000 0000 00FF FFFF FFFF FFF0 0FFF"
};

resource 'icl4' (129) {
	$"0000 0000 000F 00F0 0000 0000 0000 0000"
	$"0000 0000 000F F0FF 0000 0000 0000 0000"
	$"0000 0000 000F FFFF F000 0000 0000 0000"
	$"0000 0000 000F CCFC CF00 0000 0000 0000"
	$"0000 0000 000F CCFC CCFF 0000 0000 0000"
	$"0000 0000 00FC CCCC CCCC FF00 0000 0000"
	$"0000 0000 00FC CFFF CCCC FCF0 0000 0000"
	$"0000 0000 0FCC CFFC FCCC CCCF 0000 0000"
	$"0000 0000 0FCC CCCC CCCC CCFC F000 0000"
	$"0000 0000 FCCC CCCC CCCC CCFC CF00 0000"
	$"0000 000F CCCC CCCC CCCC CCFC CF00 0000"
	$"0000 000F CCCC CCCC CCCC CCCC FCF0 0000"
	$"0000 00FC CCCC CFCC CCCC CCCC FCF0 0000"
	$"0000 0FCC CCCC CCFC CCCF CCCC FCCF 0000"
	$"0000 0FCC CCCC CF0F FFFC CCCC FCCF 0000"
	$"0000 0FCF FFCC F000 0FCC CCCC CCFC F000"
	$"0000 00F0 0FCF 0000 FCCC CCCC CCFC F000"
	$"0000 0000 FCF0 000F CCCC CCCC CCFC F000"
	$"0000 0FF0 FF00 00FC CCCC CCCC CCFC CF00"
	$"0000 FF00 0000 00FC CCCC CCCC CCCC FF00"
	$"000F 00FF FFFF FFFF FFCC CCCC CCCF CF00"
	$"00F0 0000 0000 0000 00FF CCCC CCCF CF00"
	$"00F0 0000 0000 0000 0000 FCCC CCCF CCF0"
	$"0F00 F000 F00F 000F 00F0 0FCC CCCF CCF0"
	$"0F00 0F0F 00F0 F00F 0F00 0FCC CCCF CCF0"
	$"0F00 00F0 0F00 0F0F F000 0FCC CCCC CCF0"
	$"0F00 00F0 0FFF FF0F 0F00 0FCC CCCC CCCF"
	$"0F00 00F0 0F00 0F0F 00F0 0FCC CCCC CCCF"
	$"00F0 0000 0000 0000 0000 FCCC CCCC CCCF"
	$"000F F000 0000 0000 00FF CCCC CCCC CCCF"
	$"0000 0FFF FFFF FFFF FFCC CCCC CCCC CCCF"
	$"0000 0000 0000 00FF FFFF FFFF FFFF FFFF"
};


resource 'icl8' (128) {
	$"0000 0000 0000 0000 0000 00FF 0000 FF00"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 00FF FF00 FFFF"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 00FF FFFF FFFF"
	$"FF00 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 00FF F6F6 FFF6"
	$"F6FF 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 00FF F6F6 FFF6"
	$"F6F6 FFFF 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 FFF6 F6F6 F6F6"
	$"F6F6 F6F6 FFFF 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 FFF6 F6FF FFFF"
	$"F6F6 F6F6 FFF6 FF00 0000 0000 0000 0000"
	$"0000 0000 0000 0000 00FF F6F6 F6FF FFF6"
	$"FFF6 F6F6 F6F6 F6FF 0000 0000 0000 0000"
	$"0000 0000 0000 0000 00FF F6F6 F6F6 F6F6"
	$"F6F6 F6F6 F6F6 FFF6 FF00 0000 0000 0000"
	$"0000 0000 0000 0000 FFF6 F6F6 F6F6 F6F6"
	$"F6F6 F6F6 F6F6 FFF6 F6FF 0000 0000 0000"
	$"0000 0000 0000 00FF F6F6 F6F6 F6F6 F6F6"
	$"F6F6 F6F6 F6F6 FFF6 F6FF 0000 0000 0000"
	$"0000 0000 0000 00FF F6F6 F6F6 F6F6 F6F6"
	$"F6F6 F6F6 F6F6 F6F6 FFF6 FF00 0000 0000"
	$"0000 0000 0000 FFF6 F6F6 F6F6 F6FF F6F6"
	$"F6F6 F6F6 F6F6 F6F6 FFF6 FF00 0000 0000"
	$"0000 0000 00FF F6F6 F6F6 F6F6 F6F6 FFF6"
	$"F6F6 F6FF F6F6 F6F6 FFF6 F6FF 0000 0000"
	$"0000 0000 00FF F6F6 F6F6 F6F6 F6FF 00FF"
	$"FFFF FFF6 F6F6 F6F6 FFF6 F6FF 0000 0000"
	$"0000 0000 00FF F6FF FFFF F6F6 FF00 0000"
	$"00FF F6F6 F6F6 F6F6 F6F6 FFF6 FF00 0000"
	$"0000 0000 0000 FF00 00FF F6FF 0000 0000"
	$"FFF6 F6F6 F6F6 F6F6 F6F6 FFF6 FF00 0000"
	$"0000 0000 0000 0000 FFF6 FF00 0000 00FF"
	$"F6F6 F6F6 F6F6 F6F6 F6F6 FFF6 FF00 0000"
	$"0000 0000 00FF FF00 FFFF 0000 0000 FFF6"
	$"F6F6 F6F6 F6F6 F6F6 F6F6 FFF6 F6FF 0000"
	$"0000 0000 FFFF 0000 0000 0000 0000 FFF6"
	$"F6F6 FFFF FFFF FFFF F6F6 F6F6 FFFF 0000"
	$"0000 00FF 0000 FFFF FFFF FFFF FFFF FFFF"
	$"FFFF F5F5 F5F5 F5F5 FFF6 F6FF F6FF 0000"
	$"0000 FF00 0000 0000 0000 0000 0000 0000"
	$"FFF5 F5F5 F5F5 F5F5 F5FF F6F6 F6FF 0000"
	$"0000 FF00 0000 0000 0000 0000 0000 00FF"
	$"F5F5 FFFF F5F5 F5F5 F5F5 FFF6 F6F6 FF00"
	$"00FF 0000 FF00 0000 FF00 00FF 0000 00FF"
	$"FFFF 0000 FFF5 F5F5 F5F5 F5FF F6F6 FF00"
	$"00FF 0000 00FF 00FF 0000 FF00 FFFF FFF5"
	$"F5FF FFFF FFFF FFFF FFF5 F5F5 FFFF FFFF"
	$"00FF 0000 0000 FF00 00FF 0000 0000 FFF5"
	$"F5F5 FFFF F5F5 F5F5 F5F5 F5F5 F5FF FFFF"
	$"00FF 0000 0000 FF00 00FF FFFF FF00 00FF"
	$"F5F5 F5F5 F5F5 F5F5 F5F5 F5F5 F5FF FFFF"
	$"00FF 0000 0000 FF00 00FF 0000 0000 0000"
	$"FFF5 F5F5 F5F5 F5F5 F5F5 F5F5 F5FF FFFF"
	$"0000 FF00 0000 0000 0000 0000 0000 0000"
	$"00FF FFF5 F5F5 F5F5 F5F5 F5F5 F5FF FFFF"
	$"0000 00FF FF00 0000 0000 0000 0000 0000"
	$"0000 00FF FFFF FFFF FFFF FFF5 F5FF FFFF"
	$"0000 0000 00FF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFF6 F6F6 F6F6 F6F6 F6FF FFFF FFFF"
	$"0000 0000 0000 0000 0000 0000 0000 FFFF"
	$"FFFF FFFF FFFF FFFF FFFF FF00 00FF FFFF"
};

resource 'icl8' (129) {
	$"0000 0000 0000 0000 0000 00FF 0000 FF00"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 00FF FF00 FFFF"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 00FF FFFF FFFF"
	$"FF00 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 00FF F6F6 FFF6"
	$"F6FF 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 00FF F6F6 FFF6"
	$"F6F6 FFFF 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 FFF6 F6F6 F6F6"
	$"F6F6 F6F6 FFFF 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 FFF6 F6FF FFFF"
	$"F6F6 F6F6 FFF6 FF00 0000 0000 0000 0000"
	$"0000 0000 0000 0000 00FF F6F6 F6FF FFF6"
	$"FFF6 F6F6 F6F6 F6FF 0000 0000 0000 0000"
	$"0000 0000 0000 0000 00FF F6F6 F6F6 F6F6"
	$"F6F6 F6F6 F6F6 FFF6 FF00 0000 0000 0000"
	$"0000 0000 0000 0000 FFF6 F6F6 F6F6 F6F6"
	$"F6F6 F6F6 F6F6 FFF6 F6FF 0000 0000 0000"
	$"0000 0000 0000 00FF F6F6 F6F6 F6F6 F6F6"
	$"F6F6 F6F6 F6F6 FFF6 F6FF 0000 0000 0000"
	$"0000 0000 0000 00FF F6F6 F6F6 F6F6 F6F6"
	$"F6F6 F6F6 F6F6 F6F6 FFF6 FF00 0000 0000"
	$"0000 0000 0000 FFF6 F6F6 F6F6 F6FF F6F6"
	$"F6F6 F6F6 F6F6 F6F6 FFF6 FF00 0000 0000"
	$"0000 0000 00FF F6F6 F6F6 F6F6 F6F6 FFF6"
	$"F6F6 F6FF F6F6 F6F6 FFF6 F6FF 0000 0000"
	$"0000 0000 00FF F6F6 F6F6 F6F6 F6FF 00FF"
	$"FFFF FFF6 F6F6 F6F6 FFF6 F6FF 0000 0000"
	$"0000 0000 00FF F6FF FFFF F6F6 FF00 0000"
	$"00FF F6F6 F6F6 F6F6 F6F6 FFF6 FF00 0000"
	$"0000 0000 0000 FF00 00FF F6FF 0000 0000"
	$"FFF6 F6F6 F6F6 F6F6 F6F6 FFF6 FF00 0000"
	$"0000 0000 0000 0000 FFF6 FF00 0000 00FF"
	$"F6F6 F6F6 F6F6 F6F6 F6F6 FFF6 FF00 0000"
	$"0000 0000 00FF FF00 FFFF 0000 0000 FFF6"
	$"F6F6 F6F6 F6F6 F6F6 F6F6 FFF6 F6FF 0000"
	$"0000 0000 FFFF 0000 0000 0000 0000 FFF6"
	$"F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 FFFF 0000"
	$"0000 00FF 0000 FFFF FFFF FFFF FFFF FFFF"
	$"FFFF F6F6 F6F6 F6F6 F6F6 F6FF F6FF 0000"
	$"0000 FF00 0000 0000 0000 0000 0000 0000"
	$"0000 FFFF F6F6 F6F6 F6F6 F6FF F6FF 0000"
	$"0000 FF00 0000 0000 0000 0000 0000 0000"
	$"0000 0000 FFF6 F6F6 F6F6 F6FF F6F6 FF00"
	$"00FF 0000 FF00 0000 FF00 00FF 0000 00FF"
	$"0000 FF00 00FF F6F6 F6F6 F6FF F6F6 FF00"
	$"00FF 0000 00FF 00FF 0000 FF00 FF00 00FF"
	$"00FF 0000 00FF F6F6 F6F6 F6FF F6F6 FF00"
	$"00FF 0000 0000 FF00 00FF 0000 00FF 00FF"
	$"FF00 0000 00FF F6F6 F6F6 F6F6 F6F6 FF00"
	$"00FF 0000 0000 FF00 00FF FFFF FFFF 00FF"
	$"00FF 0000 00FF F6F6 F6F6 F6F6 F6F6 F6FF"
	$"00FF 0000 0000 FF00 00FF 0000 00FF 00FF"
	$"0000 FF00 00FF F6F6 F6F6 F6F6 F6F6 F6FF"
	$"0000 FF00 0000 0000 0000 0000 0000 0000"
	$"0000 0000 FFF6 F6F6 F6F6 F6F6 F6F6 F6FF"
	$"0000 00FF FF00 0000 0000 0000 0000 0000"
	$"0000 FFFF F6F6 F6F6 F6F6 F6F6 F6F6 F6FF"
	$"0000 0000 00FF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6FF"
	$"0000 0000 0000 0000 0000 0000 0000 FFFF"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
};

resource 'ICN#' (128) {
	{	/* array: 2 elements */
		/* [1] */
		$"0012 0000 001B 0000 001F 8000 0012 4000"
		$"0012 3000 0020 0C00 0027 0A00 0046 8100"
		$"0040 0280 0080 0240 0100 0240 0100 00A0"
		$"0204 00A0 0402 1090 0405 E090 05C8 4028"
		$"0250 8028 00A1 0028 06C2 0024 0C02 3F0C"
		$"13FF 4094 2000 8044 2001 3022 4891 C812"
		$"452E 7F8F 4242 3007 4279 0007 4240 8007"
		$"2000 6007 1800 1FE7 07FF E01F 0003 FFE7",
		/* [2] */
		$"0012 0000 001B 0000 001F 8000 001F C000"
		$"001F F000 003F FC00 003F FE00 007F FF00"
		$"007F FF80 00FF FFC0 01FF FFC0 01FF FFE0"
		$"03FF FFE0 07FF FFF0 07FD FFF0 07F8 7FF8"
		$"0270 FFF8 00E1 FFF8 06C3 FFFC 0C03 FFFC"
		$"1FFF FFFC 3FFF FFFC 3FFF FFFE 7FFF FFFE"
		$"7FFF FFFF 7FFF FFFF 7FFF FFFF 7FFF FFFF"
		$"3FFF FFFF 1FFF FFFF 07FF FFFF 0003 FFE7"
	}
};

resource 'ICN#' (129) {
	{	/* array: 2 elements */
		/* [1] */
		$"0012 0000 001B 0000 001F 8000 0012 4000"
		$"0012 3000 0020 0C00 0027 0A00 0046 8100"
		$"0040 0280 0080 0240 0100 0240 0100 00A0"
		$"0204 00A0 0402 1090 0405 E090 05C8 4028"
		$"0250 8028 00A1 0028 06C2 0024 0C02 000C"
		$"13FF C014 2000 3014 2000 0812 4891 2412"
		$"4529 4412 4245 8402 427D 4401 4245 2401"
		$"2000 0801 1800 3001 07FF C001 0003 FFFF",
		/* [2] */
		$"0012 0000 001B 0000 001F 8000 001F C000"
		$"001F F000 003F FC00 003F FE00 007F FF00"
		$"007F FF80 00FF FFC0 01FF FFC0 01FF FFE0"
		$"03FF FFE0 07FF FFF0 07FD FFF0 07F8 7FF8"
		$"0270 FFF8 00E1 FFF8 06C3 FFFC 0C03 FFFC"
		$"1FFF FFFC 3FFF FFFC 3FFF FFFE 7FFF FFFE"
		$"7FFF FFFE 7FFF FFFE 7FFF FFFF 7FFF FFFF"
		$"3FFF FFFF 1FFF FFFF 07FF FFFF 0003 FFFF"
	}
};

resource 'ics#' (128) {
	{	/* array: 2 elements */
		/* [1] */
		$"0500 0780 0460 0930 0818 101C 214C 2A8E"
		$"1506 0906 3F86 4077 B5EB A447 403F 3FC3",
		/* [2] */
		$"0500 0780 07E0 0FF0 0FF8 1FFC 3FFC 3FFE"
		$"1FFE 0FFE 3FFE 7FFF FFFF FFFF 7FFF 3FC3"
	}
};

resource 'ics#' (129) {
	{	/* array: 2 elements */
		/* [1] */
		$"0500 0780 0460 0930 0818 101C 214C 2A8E"
		$"1506 0906 3FC6 4027 B497 A693 4023 3FDF",
		/* [2] */
		$"0500 0780 07E0 0FF0 0FF8 1FFC 3FFC 3FFE"
		$"1FFE 0FFE 3FFE 7FFF FFFF FFFF 7FFF 3FDF"
	}
};

resource 'ics4' (128) {
	$"0000 0F0F 0000 0000 0000 0FFF F000 0000"
	$"0000 0FCC CFF0 0000 0000 FCCF CCFF 0000"
	$"0000 FCCC CCCF F000 000F CCCC CCCF FF00"
	$"00FC CCCF CFCC FF00 00FC FCF0 FCCC FFF0"
	$"000F CF0F CCCC CFF0 0000 F00F CCCC CFF0"
	$"00FF FFFF FCCC CFF0 0F00 0000 0FFF CFFF"
	$"F0FF 0F0F FFF0 FCFF F0F0 0F00 0F00 0FFF"
	$"0F00 0000 00FF FFFF 00FF FFFF FF00 00FF"
};

resource 'ics4' (129) {
	$"0000 0F0F 0000 0000 0000 0FFF F000 0000"
	$"0000 0FCC CFF0 0000 0000 FCCF CCFF 0000"
	$"0000 FCCC CCCF F000 000F CCCC CCCF FF00"
	$"00FC CCCF CFCC FF00 00FC FCF0 FCCC FFF0"
	$"000F CF0F CCCC CFF0 0000 F00F CCCC CFF0"
	$"00FF FFFF FFCC CFF0 0F00 0000 00FC CFFF"
	$"F0FF 0F00 F00F CFFF F0F0 0FF0 F00F CCFF"
	$"0F00 0000 00FC CCFF 00FF FFFF FF0F FFFF"
};

resource 'ics8' (128) {
	$"0000 0000 00FF 00FF 0000 0000 0000 0000"
	$"0000 0000 00FF FFFF FF00 0000 0000 0000"
	$"0000 0000 00FF F6F6 F6FF FF00 0000 0000"
	$"0000 0000 FFF6 F6FF F6F6 FFFF 0000 0000"
	$"0000 0000 FFF6 F6F6 F6F6 F6FF FF00 0000"
	$"0000 00FF F6F6 F6F6 F6F6 F6FF FFFF 0000"
	$"0000 FFF6 F6F6 F6FF F6FF F6F6 FFFF 0000"
	$"0000 FFF6 FFF6 FF00 FFF6 F6F6 FFFF FF00"
	$"0000 00FF F6FF 00FF F6F6 F6F6 F6FF FF00"
	$"0000 0000 FF00 00FF F6F6 F6F6 F6FF FF00"
	$"0000 FFFF FFFF FFFF FFF6 F6F6 F6FF FF00"
	$"00FF 0000 0000 0000 00FF FFFF F6FF FFFF"
	$"FF00 FFFF 00FF 00FF FFFF FFF5 FFF6 FFFF"
	$"FF00 FF00 00FF 0000 00FF F5F5 F5FF FFFF"
	$"00FF 0000 0000 0000 0000 FFFF FFFF FFFF"
	$"0000 FFFF FFFF FFFF FFFF 0000 0000 FFFF"
};

resource 'ics8' (129) {
	$"0000 0000 00FF 00FF 0000 0000 0000 0000"
	$"0000 0000 00FF FFFF FF00 0000 0000 0000"
	$"0000 0000 00FF F6F6 F6FF FF00 0000 0000"
	$"0000 0000 FFF6 F6FF F6F6 FFFF 0000 0000"
	$"0000 0000 FFF6 F6F6 F6F6 F6FF FF00 0000"
	$"0000 00FF F6F6 F6F6 F6F6 F6FF FFFF 0000"
	$"0000 FFF6 F6F6 F6FF F6FF F6F6 FFFF 0000"
	$"0000 FFF6 FFF6 FF00 FFF6 F6F6 FFFF FF00"
	$"0000 00FF F6FF 00FF F6F6 F6F6 F6FF FF00"
	$"0000 0000 FF00 00FF F6F6 F6F6 F6FF FF00"
	$"0000 FFFF FFFF FFFF FFFF F6F6 F6FF FF00"
	$"00FF 0000 0000 0000 0000 FFF6 F6FF FFFF"
	$"FF00 FFFF 00FF 0000 FF00 00FF F6FF FFFF"
	$"FF00 FF00 00FF FF00 FF00 00FF F6F6 FFFF"
	$"00FF 0000 0000 0000 0000 FFF6 F6F6 FFFF"
	$"0000 FFFF FFFF FFFF FFFF 00FF FFFF FFFF"
};







resource 'SICN' (128) {
	{
		$"0500 0780 0460 0930 0818 101C 214C 2A8E"
		$"1506 0906 3F86 4077 B5EB A447 403F 3FC3"
	}
};








resource 'ICN#' (257) {
	{	/* array: 2 elements */
		/* [1] */
		$"0000 0000 0000 0000 0007 F000 0006 3000"
		$"0005 5000 0004 9000 0005 5000 07C6 31F0"
		$"0837 F608 1008 0804 1004 1004 2002 2002"
		$"2001 4002 2000 8002 2000 0002 2000 0002"
		$"1000 0004 1000 0004 0800 0008 041F FC10"
		$"03E0 03E0 0200 0020 0101 C040 0160 0340"
		$"0100 0040 008F F880 00F0 0780 0080 0080"
		$"0070 0700 000F F8",
		/* [2] */
		$"0000 0000 0000 0000 0007 F000 0007 F000"
		$"0007 F000 0007 F000 0007 F000 07C7 F1F0"
		$"0FF7 F7F8 1FFF FFFC 1FFF FFFC 3FFF FFFE"
		$"3FFF FFFE 3FFF FFFE 3FFF FFFE 3FFF FFFE"
		$"1FFF FFFC 1FFF FFFC 0FFF FFF8 07FF FFF0"
		$"03FF FFE0 03FF FFE0 01FF FFC0 01FF FFC0"
		$"01FF FFC0 00FF FF80 00FF FF80 00FF FF80"
		$"007F FF00 000F F8"
	}
};

resource 'ICN#' (258) {
	{	/* array: 2 elements */
		/* [1] */
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 001C 1C00 0022 2200 0E22 2238"
		$"111C 1C44 1108 0844 0E14 1438 0414 1410"
		$"0622 2230 0522 2250 04A1 4290 0440 8110"
		$"0400 0010 021F FC20 03E0 03E0 0200 0020"
		$"0101 C040 0160 0340 0100 0040 008F F880"
		$"00F0 0780 0080 0080 0070 0700 000F F8",
		/* [2] */
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 001C 1C00 003E 3E00 0E3E 3E38"
		$"1F1C 1C7C 1F08 087C 0E1C 1C38 041C 1C10"
		$"063E 3E30 073E 3E70 07BF 7EF0 07FF FFF0"
		$"07FF FFF0 03FF FFE0 03FF FFE0 03FF FFE0"
		$"01FF FFC0 01FF FFC0 01FF FFC0 00FF FF80"
		$"00FF FF80 00FF FF80 007F FF00 000F F8"
	}
};

resource 'ICN#' (259) {
	{	/* array: 2 elements */
		/* [1] */
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"03C3 C3C0 023C 3C40 0200 0040 0200 0040"
		$"0100 0080 0080 0100 007F FE00 0040 0200"
		$"0040 0200 0040 0200 0040 0200 0040 0200"
		$"0040 0200 0040 0200 007F FE00 0080 0100"
		$"0080 0100 0080 0100 0100 0080 0100 0080"
		$"0100 0080 0200 0040 0200 0040 0200 0040"
		$"03FF FFC0",
		/* [2] */
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"03C3 C3C0 03FF FFC0 03FF FFC0 03FF FFC0"
		$"01FF FF80 00FF FF00 007F FE00 007F FE00"
		$"007F FE00 007F FE00 007F FE00 007F FE00"
		$"007F FE00 007F FE00 007F FE00 00FF FF00"
		$"00FF FF00 00FF FF00 01FF FF80 01FF FF80"
		$"01FF FF80 03FF FFC0 03FF FFC0 03FF FFC0"
		$"03FF FFC0"
	}
};

resource 'ICN#' (260) {
	{	/* array: 2 elements */
		/* [1] */
		$"0000 0000 0000 0000 000C 1800 0012 2400"
		$"0012 2400 000C 1800 000C 1800 0012 2400"
		$"0011 4400 0020 8200 0040 4100 0040 2100"
		$"0080 2080 0080 1080 0080 1080 0080 0880"
		$"0080 0880 0040 0900 0040 0900 0020 1200"
		$"0020 1200 0013 E400 000C 1800 0010 8400"
		$"0014 1400 0010 0400 00FF FF80 0101 4040"
		$"017E 3F40 0080 0080",
		/* [2] */
		$"0000 0000 0000 0000 000C 1800 001E 3C00"
		$"001E 3C00 000C 1800 000C 1800 001E 3C00"
		$"001F 7C00 003F FE00 007F FF00 007F FF00"
		$"00FF FF80 00FF FF80 00FF FF80 00FF FF80"
		$"00FF FF80 007F FF00 007F FF00 003F FE00"
		$"003F FE00 001F FC00 000F F800 001F FC00"
		$"001F FC00 001F FC00 00FF FF80 01FF 7FC0"
		$"01FE 3FC0 0080 0080"
	}
};

resource 'ICN#' (261) {
	{	/* array: 2 elements */
		/* [1] */
		$"0000 0000 0048 0000 006C 0000 007E 0000"
		$"0049 0000 0048 C000 0080 3000 009C 2800"
		$"011A 0400 0100 0A00 0200 0900 0400 0900"
		$"0400 0280 0810 0280 1008 4240 1017 8240"
		$"1721 00A0 0942 00A0 0284 00A0 0308 0090"
		$"0008 0030 0010 0050 0010 0048 0020 0048"
		$"0020 0048 0020 0048 0040 0004 0040 0004"
		$"0040 0004 007F FFFC",
		/* [2] */
		$"0000 0000 0048 0000 006C 0000 007E 0000"
		$"007F 0000 007F C000 00FF F000 00FF F800"
		$"01FF FC00 01FF FE00 03FF FF00 07FF FF00"
		$"07FF FF80 0FFF FF80 1FFF FFC0 1FF7 FFC0"
		$"1FE1 FFE0 09C3 FFE0 0387 FFE0 030F FFF0"
		$"000F FFF0 001F FFF0 001F FFF8 003F FFF8"
		$"003F FFF8 003F FFF8 007F FFFC 007F FFFC"
		$"007F FFFC 007F FFFC"
	}
};

resource 'ICN#' (262) {
	{	/* array: 2 elements */
		/* [1] */
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0001 C000 0002 2000 0002 2000 0002 2000"
		$"0001 4000 0007 7000 0008 0800 0010 0400"
		$"001F FC00 0001 4000 0001 4000 0001 4000"
		$"0002 2000 0002 2000 0002 2000 0004 1000"
		$"0004 1000 0004 1000 0002 2000 0002 2000"
		$"001C 1C00 0060 0300 0080 0080 0080 0080"
		$"00FF FF80",
		/* [2] */
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0001 C000 0003 E000 0003 E000 0003 E000"
		$"0001 C000 0007 F000 000F F800 001F FC00"
		$"001F FC00 0001 C000 0001 C000 0001 C000"
		$"0003 E000 0003 E000 0003 E000 0007 F000"
		$"0007 F000 0007 F000 0003 E000 0003 E000"
		$"001F FC00 007F FF00 00FF FF80 00FF FF80"
		$"00FF FF80"
	}
};

resource 'ICN#' (263) {
	{	/* array: 2 elements */
		/* [1] */
		$"",
		/* [2] */
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	}
};

resource 'ICN#' (264) {
	{	/* array: 2 elements */
		/* [1] */
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0001 C000 0003 E000 0003 E000 0003 E000"
		$"0001 C000 0007 F000 000F F800 001F FC00"
		$"001F FC00 0001 C000 0001 C000 0001 C000"
		$"0003 E000 0003 E000 0003 E000 0007 F000"
		$"0007 F000 0007 F000 0003 E000 0003 E000"
		$"001F FC00 007F FF00 00FF FF80 00FF FF80"
		$"00FF FF80",
		/* [2] */
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0001 C000 0003 E000 0003 E000 0003 E000"
		$"0001 C000 0007 F000 000F F800 001F FC00"
		$"001F FC00 0001 C000 0001 C000 0001 C000"
		$"0003 E000 0003 E000 0003 E000 0007 F000"
		$"0007 F000 0007 F000 0003 E000 0003 E000"
		$"001F FC00 007F FF00 00FF FF80 00FF FF80"
		$"00FF FF80"
	}
};

resource 'ICN#' (265) {
	{	/* array: 2 elements */
		/* [1] */
		$"0000 0000 0048 0000 006C 0000 007E 0000"
		$"0077 0000 007F C000 00FF F000 00E7 D800"
		$"01EB FC00 01FF F600 03FF F700 07FF F700"
		$"07FF FD80 0FEF FD80 19FF 7DC0 1FF6 FDC0"
		$"1FE1 FF60 09C3 FF60 0387 FF60 030F FF70"
		$"000F FFD0 001F FFB0 001F FFB8 003F FFB8"
		$"003F FFB8 003F FFB8 007F FFFC 007F FFFC"
		$"007F FFFC 007F FFFC",
		/* [2] */
		$"0000 0000 0048 0000 006C 0000 007E 0000"
		$"007F 0000 007F C000 00FF F000 00FF F800"
		$"01FF FC00 01FF FE00 03FF FF00 07FF FF00"
		$"07FF FF80 0FFF FF80 1FFF FFC0 1FF7 FFC0"
		$"1FE1 FFE0 09C3 FFE0 0387 FFE0 030F FFF0"
		$"000F FFF0 001F FFF0 001F FFF8 003F FFF8"
		$"003F FFF8 003F FFF8 007F FFFC 007F FFFC"
		$"007F FFFC 007F FFFC"
	}
};

resource 'ICN#' (266) {
	{	/* array: 2 elements */
		/* [1] */
		$"0000 0000 0000 0000 000C 1800 001E 3C00"
		$"001E 3C00 000C 1800 000C 1800 001E 3C00"
		$"001F 7C00 003F BE00 007F DF00 007F EF00"
		$"00FF EF80 00FF F780 00FF F780 00FF FB80"
		$"00FF FB80 007F FB00 007F FB00 003F F600"
		$"003F F600 001C 1C00 0003 E000 001F 7C00"
		$"001B EC00 001F FC00 00FC 1F80 01FF FFC0"
		$"01FE 3FC0 0080 0080",
		/* [2] */
		$"0000 0000 0000 0000 000C 1800 001E 3C00"
		$"001E 3C00 000C 1800 000C 1800 001E 3C00"
		$"001F 7C00 003F FE00 007F FF00 007F FF00"
		$"00FF FF80 00FF FF80 00FF FF80 00FF FF80"
		$"00FF FF80 007F FF00 007F FF00 003F FE00"
		$"003F FE00 001F FC00 0003 E000 001F FC00"
		$"001F FC00 001F FC00 00FF FF80 01FF FFC0"
		$"01FE 3FC0 0080 0080"
	}
};

resource 'ICN#' (267) {
	{	/* array: 2 elements */
		/* [1] */
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"03C3 C3C0 03FF FFC0 03FF FFC0 03FF FFC0"
		$"01FF FF80 00FF FF00 0040 0200 007F FE00"
		$"007F FE00 007F FE00 007F FE00 007F FE00"
		$"007F FE00 007F FE00 0040 0200 00FF FF00"
		$"00FF FF00 00FF FF00 01FF FF80 01FF FF80"
		$"01FF FF80 03FF FFC0 03FF FFC0 03FF FFC0"
		$"03FF FFC0",
		/* [2] */
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"03C3 C3C0 03FF FFC0 03FF FFC0 03FF FFC0"
		$"01FF FF80 00FF FF00 007F FE00 007F FE00"
		$"007F FE00 007F FE00 007F FE00 007F FE00"
		$"007F FE00 007F FE00 007F FE00 00FF FF00"
		$"00FF FF00 00FF FF00 01FF FF80 01FF FF80"
		$"01FF FF80 03FF FFC0 03FF FFC0 03FF FFC0"
		$"03FF FFC0"
	}
};

resource 'ICN#' (268) {
	{	/* array: 2 elements */
		/* [1] */
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 001C 1C00 003E 3E00 0E3E 3E38"
		$"1F1C 1C7C 1F08 087C 0E1C 1C38 041C 1C10"
		$"063E 3E30 073E 3E70 07BF 7EF0 07FF FFF0"
		$"07FF FFF0 03E0 03E0 021F FC20 03FE 3FE0"
		$"01FF FFC0 019F FCC0 01FF FFC0 00F0 0780"
		$"008F F880 00FF FF80 007F FF00 000F F8",
		/* [2] */
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 001C 1C00 003E 3E00 0E3E 3E38"
		$"1F1C 1C7C 1F08 087C 0E1C 1C38 041C 1C10"
		$"063E 3E30 073E 3E70 07BF 7EF0 07FF FFF0"
		$"07FF FFF0 03FF FFE0 03FF FFE0 03FF FFE0"
		$"01FF FFC0 01FF FFC0 01FF FFC0 00FF FF80"
		$"00FF FF80 00FF FF80 007F FF00 000F F8"
	}
};

resource 'ICN#' (269) {
	{	/* array: 2 elements */
		/* [1] */
		$"0000 0000 0000 0000 0007 F000 0005 D000"
		$"0006 B000 0007 7000 0006 B000 07C5 D1F0"
		$"0FF7 F7F8 1FF8 0FFC 1E3C 1E3C 3DDE 3DDE"
		$"3BEF 7BEE 3BEF FBEE 3BF7 F7EE 3DF7 F7DE"
		$"1DFB EFDC 1EFB EFBC 0F7B EF78 07A0 02F0"
		$"021F FC20 03FF FFE0 01FE 3FC0 019F FCC0"
		$"01FF FFC0 00F0 0780 008F F880 00FF FF80"
		$"007F FF00 000F F8",
		/* [2] */
		$"0000 0000 0000 0000 0007 F000 0007 F000"
		$"0007 F000 0007 F000 0007 F000 07C7 F1F0"
		$"0FF7 F7F8 1FFF FFFC 1FFF FFFC 3FFF FFFE"
		$"3FFF FFFE 3FFF FFFE 3FFF FFFE 3FFF FFFE"
		$"1FFF FFFC 1FFF FFFC 0FFF FFF8 07FF FFF0"
		$"03FF FFE0 03FF FFE0 01FF FFC0 01FF FFC0"
		$"01FF FFC0 00FF FF80 00FF FF80 00FF FF80"
		$"007F FF00 000F F8"
	}
};

resource 'ICN#' (270) {
	{	/* array: 2 elements */
		/* [1] */
		$"1111 1111 2220 0222 4447 F444 8886 3088"
		$"1115 5111 2224 9222 4005 5404 87C6 31F0"
		$"0837 F609 1008 0804 1004 1004 A002 2002"
		$"2001 4002 2000 8002 2000 0002 A000 0002"
		$"1000 0004 1000 0004 4800 0008 841F FC10"
		$"13E0 03F1 2200 0022 4101 C044 8960 0348"
		$"1100 0051 208F F882 44F0 0784 8880 0088"
		$"1070 0711 220F F822 4440 0044 8888 8888",
		/* [2] */
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	}
};

resource 'ICN#' (271) {
	{	/* array: 2 elements */
		/* [1] */
		$"1111 1111 2222 2222 4444 4444 8888 8888"
		$"1101 0111 221C 1C22 4022 2200 8E22 A238"
		$"111C 1C45 1108 0844 4E54 5438 8494 9490"
		$"1622 2231 2522 2252 44A1 4294 8440 8110"
		$"1400 0011 221F FC22 43E0 03E4 8A00 0028"
		$"1101 C041 2160 0342 4500 0044 888F F888"
		$"10F0 0791 2280 00A2 4470 0704 880F F808"
		$"1100 0111 2222 2222 4444 4444 8888 8888",
		/* [2] */
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	}
};

resource 'ICN#' (272) {
	{	/* array: 2 elements */
		/* [1] */
		$"1111 1111 2222 2222 4444 4444 8808 0808"
		$"13C3 C3D1 223C 3C42 4200 0044 8A00 0048"
		$"1100 0091 2080 0122 447F FE44 8840 0288"
		$"1140 0211 2240 0222 4440 0244 8840 0288"
		$"1140 0211 2240 0222 447F FE44 8880 0108"
		$"1080 0111 2080 0122 4500 0084 8900 0088"
		$"1100 0091 2200 0042 4200 0044 8A00 0048"
		$"13FF FFD1 2000 0002 4444 4444 8888 8888",
		/* [2] */
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	}
};

resource 'ICN#' (273) {
	{	/* array: 2 elements */
		/* [1] */
		$"1111 1111 2220 0222 444C 1844 8892 A488"
		$"1112 2511 220C 1822 444C 1844 8892 2488"
		$"1111 4411 2220 8222 4440 4144 8840 2108"
		$"1080 2091 2280 10A2 4480 1084 8880 0888"
		$"1080 0891 2240 0922 4440 0944 8820 1208"
		$"1120 1211 2213 E422 444C 1844 8890 8488"
		$"1114 1511 2210 0402 44FF FFC4 8901 C048"
		$"117F 3F51 2080 0082 4404 4404 8888 8888",
		/* [2] */
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	}
};

resource 'ICN#' (274) {
	{	/* array: 2 elements */
		/* [1] */
		$"1101 1111 2248 2222 446C 4444 887E 0888"
		$"1149 1111 2248 C222 4480 3044 889C 2888"
		$"111A 0411 2100 0A22 4200 0944 8400 0908"
		$"0400 0291 0810 0282 5008 4244 901F 8248"
		$"1721 00A1 0942 00A2 4284 00A4 8B08 0090"
		$"1008 0031 2210 0052 4410 0048 88A0 0048"
		$"1120 0049 2220 0048 4440 0004 8840 0004"
		$"1140 0005 227F FFFC 4400 0000 8888 8888",
		/* [2] */
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	}
};

resource 'ICN#' (275) {
	{	/* array: 2 elements */
		/* [1] */
		$"1111 1111 2222 2222 4444 4444 8888 0888"
		$"1111 C111 2222 2222 4442 2444 888A 2888"
		$"1111 4111 2227 7222 4448 0844 8890 0488"
		$"111F FD11 2201 4022 4445 4444 8889 4888"
		$"1112 2111 2222 2222 4442 2444 8884 1088"
		$"1114 1111 2224 1222 4442 2444 8882 2088"
		$"111C 1C11 2260 0322 4480 0084 8880 0088"
		$"10FF FF91 2200 0022 4444 4444 8888 8888",
		/* [2] */
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	}
};

resource 'ICN#' (276) {
	{	/* array: 2 elements */
		/* [1] */
		$"1111 1111 2222 2222 4444 4444 8888 8888"
		$"1111 1111 2222 2222 4444 4444 8888 8888"
		$"1111 1111 2222 2222 4444 4444 8888 8888"
		$"1111 1111 2222 2222 4444 4444 8888 8888"
		$"1111 1111 2222 2222 4444 4444 8888 8888"
		$"1111 1111 2222 2222 4444 4444 8888 8888"
		$"1111 1111 2222 2222 4444 4444 8888 8888"
		$"1111 1111 2222 2222 4444 4444 8888 8888",
		/* [2] */
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	}
};

resource 'ICN#' (277) {
	{	/* array: 2 elements */
		/* [1] */
		$"1111 1111 2222 2222 4444 4444 8888 0888"
		$"1111 C111 2223 E222 4443 E444 888B E888"
		$"1111 C111 2227 F222 444F F844 889F FC88"
		$"111F FD11 2201 C022 4445 C444 8889 C888"
		$"1113 E111 2223 E222 4443 E444 8887 F088"
		$"1117 F111 2227 F222 4447 E444 8883 E088"
		$"111F FC11 227F FF22 44FF FF84 88FF FF88"
		$"10FF FF91 2200 0022 4444 4444 8888 8888",
		/* [2] */
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	}
};

resource 'ICN#' (278) {
	{	/* array: 2 elements */
		/* [1] */
		$"1101 1111 2248 2222 446C 4444 887E 0888"
		$"1177 1111 227F C222 44FF F044 88E7 D888"
		$"11EB FC11 21FF F622 43FF F744 87FF F708"
		$"07FF FD91 0FEF FD82 59FF 7DC4 9FF6 FDC8"
		$"1FE1 FF61 09C3 FF62 4387 FF64 8B0F FF70"
		$"100F FFD1 221F FFB2 441F FFB8 88BF FFB8"
		$"113F FFB9 223F FFB8 447F FFFC 887F FFFC"
		$"117F FFFD 227F FFFC 4400 0000 8888 8888",
		/* [2] */
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	}
};

resource 'ICN#' (279) {
	{	/* array: 2 elements */
		/* [1] */
		$"1111 1111 2220 0222 444C 1844 889E BC88"
		$"111E 3D11 220C 1822 444C 1844 889E 3C88"
		$"111F 7C11 223F BE22 447F DF44 887F EF08"
		$"10FF EF91 22FF F7A2 44FF F784 88FF FB88"
		$"10FF FB91 227F FB22 447F FB44 883F F608"
		$"113F F611 221C 1C22 4443 E444 889F 7C88"
		$"111B ED11 221F FC22 44FC 1F84 89FF FFC8"
		$"11FE 3FD1 2080 0082 4404 4404 8888 8888",
		/* [2] */
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	}
};

resource 'ICN#' (280) {
	{	/* array: 2 elements */
		/* [1] */
		$"1111 1111 2222 2222 4444 4444 8808 0808"
		$"13C3 C3D1 23FF FFC2 43FF FFC4 8BFF FFC8"
		$"11FF FF91 20FF FF22 4440 0244 887F FE88"
		$"117F FE11 227F FE22 447F FE44 887F FE88"
		$"117F FE11 227F FE22 4440 0244 88FF FF08"
		$"10FF FF11 20FF FF22 45FF FF84 89FF FF88"
		$"11FF FF91 23FF FFC2 43FF FFC4 8BFF FFC8"
		$"13FF FFD1 2000 0002 4444 4444 8888 8888",
		/* [2] */
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	}
};

resource 'ICN#' (281) {
	{	/* array: 2 elements */
		/* [1] */
		$"1111 1111 2222 2222 4444 4444 8888 8888"
		$"1101 0111 221C 1C22 403E 3E00 8E3E 3E38"
		$"1F1C 1C7D 1F08 087C 4E5C 5C38 841C 9C90"
		$"173E 3E31 273E 3E72 47FF 7EF4 87FF FFF0"
		$"17FF FFE1 23E0 03E2 421F FC24 8BFE 3FE8"
		$"11FF FFC1 219F FCC2 45FF FFC4 88F0 0788"
		$"108F F891 22FF FFA2 447F FF04 880F F808"
		$"1100 0111 2222 2222 4444 4444 8888 8888",
		/* [2] */
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	}
};

resource 'ICN#' (282) {
	{	/* array: 2 elements */
		/* [1] */
		$"1111 1111 2220 0222 4447 F444 8885 D088"
		$"1116 B111 2227 7222 4006 B404 87C5 D1F0"
		$"0FF7 F7F9 1FF8 0FFC 1E3C 1E3C BDDE 3DDE"
		$"3BEF 7BEE 3BEF FBEE 3BF7 F7EE BDF7 F7DE"
		$"1DFB EFDC 1EFB EFBC 4F7B EF78 87A0 02F0"
		$"121F FC21 23FF FFE2 41FE 3FC4 899F FCC8"
		$"11FF FFD1 20F0 0782 448F F884 88FF FF88"
		$"107F FF11 220F F822 4440 0044 8888 8888",
		/* [2] */
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	}
};



















resource 'CURS' (handCursor) {
	$"0180 1A70 2648 264A 124D 1249 6809 9801"
	$"8802 4002 2002 2004 1004 0808 0408 0408",
	$"0180 1BF0 3FF8 3FFA 1FFF 1FFF 6FFF FFFF"
	$"FFFE 7FFE 3FFE 3FFC 1FFC 0FF8 07F8 07F8",
	{8, 4}
};

resource 'CURS' (ibeamCursor) {
	$"0C60 0280 0100 0100 0100 0100 0100 0100"
	$"0100 0100 0100 0100 0100 0100 0280 0C60",
	$"",
	{7, 7}
};

resource 'CURS' (300) {
	$"0000 0000 38F0 4510 4510 4530 38D0 0000"
	$"0000 79E0 4510 4510 4510 79E0 4100 41",
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF",
	{8, 6}
};

resource 'CURS' (301) {
	$"0010 0010 38F0 4510 4510 4510 38F0 0000"
	$"0000 0000 38E0 4510 4500 4500 38F0",
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF",
	{8, 6}
};

resource 'CURS' (302) {
	$"0010 0010 78F0 4510 4510 4510 78F0 4000"
	$"4000 0000 38E0 4510 4500 4500 38F0",
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF",
	{8, 6}
};

resource 'CURS' (303) {
	$"0000 0000 3D10 4510 4510 4510 3CE0 0400"
	$"1440 0040 10E0 1040 1040 1040 1030",
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF",
	{8, 6}
};

resource 'CURS' (304) {
	$"0000 0000 3D60 4590 4510 4D10 3510 0000"
	$"0000 0000 3D60 4190 3900 0500 79",
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF",
	{8, 6}
};

resource 'CURS' (305) {
	$"0000 0000 7910 5510 5510 54A0 5440 0000"
	$"1000 2800 2150 7150 2150 2150 20A0",
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF",
	{8, 6}
};

resource 'CURS' (306) {
	$"0000 0000 38E0 4510 7D00 4100 38F0 0000"
	$"4000 4000 58E0 6510 4510 4510 44E0",
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF",
	{8, 6}
};



/***************************************************************************/
/***************************************************************************/
/***************************************************************************/



resource 'STR#' (mApple) {
	{
/*  1 */	"Displays version and other information about this application."
	};
};


resource 'hmnu' (mApple, "\0x14") {
	HelpMgrVersion,					/* Help Version							*/
	0,								/* options								*/
	0,								/* theProc								*/
	0,								/* variant								*/
	HMSkipItem {					/* skip missing msg						*/
		},
	{
		/* Menu title */
		HMStringResItem {
			mApple,0,				/* menu item message					*/
			mApple,0,				/* disabled item message				*/
			mApple,0,				/* reserved message						*/
			mApple,0				/* reserved message						*/
		},

		/* About item */
		HMStringResItem {
			mApple,1,				/* menu item message					*/
			mApple,1,				/* disabled item message				*/
			mApple,0,				/* reserved message						*/
			mApple,0				/* reserved message						*/
		}
	};
};

resource 'STR#' (mFile) {
	{
/*  1 */	"Operations related to chess games.",
/*  2 */	"Creates a new chess game.",
/*  3 */	"Opens an existing chess game.",
/*  4 */	"Closes the current chess game.",
/*  5 */	"Closes the current chess game.  To enable this item, "
			"choose New or Open from the File menu.",
/*  6 */	"Saves the current chess game.",
/*  7 */	"Saves the current chess game.  This item is enabled when a change has "
			"occured to the current game since it was opened, or since the last save.",
/*  8 */	"Saves the current game under a different name.",
/*  9 */	"Saves the current game under a different name.  To enable this item, "
			"choose New or Open from the File menu.",
/* 10 */	"Duplicates the current game.",
/* 11 */	"Duplicates the current game.  To enable this item, "
			"choose New or Open from the File menu.",
/* 12 */	"Sets up paper size, orientation, and other printing options.",
/* 13 */	"Sets up paper size, orientation, and other printing options.  To enable "
			"this item, choose New or Open from the File menu.",
/* 14 */	"Prints the board position of the current game.",
/* 15 */	"Prints the board position of the current game.  To enable this item, "
			"choose New or Open from the File menu.",
/* 16 */	"Quit from this application."
	}
};

resource 'hmnu' (mFile, "File") {
	HelpMgrVersion,					/* Help Version							*/
	0,								/* options								*/
	0,								/* theProc								*/
	0,								/* variant								*/
	HMSkipItem {					/* skip missing msg						*/
		},
	{
		/* File */
		HMStringResItem {
			mFile,1,				/* menu title message					*/
			mFile,1,				/* disabled title message				*/
			mFile,0,				/* reserved message						*/
			mFile,0					/* reserved message						*/
		},

		/* New */
		HMStringResItem {
			mFile,2,				/* menu item message					*/
			mFile,0,				/* disabled item message				*/
			mFile,0,				/* reserved message						*/
			mFile,0					/* reserved message						*/
		},

		/* Open */
		HMStringResItem {
			mFile,3,				/* menu item message					*/
			mFile,0,				/* disabled item message				*/
			mFile,0,				/* reserved message						*/
			mFile,0					/* reserved message						*/
		},

		/* Disabled Line */
		HMSkipItem {				/* skip missing msg						*/
		},

		/* Close */
		HMStringResItem {
			mFile,4,				/* menu item message					*/
			mFile,5,				/* disabled item message				*/
			mFile,0,				/* reserved message						*/
			mFile,0					/* reserved message						*/
		},

		/* Save */
		HMStringResItem {
			mFile,6,				/* menu item message					*/
			mFile,7,				/* disabled item message				*/
			mFile,0,				/* reserved message						*/
			mFile,0					/* reserved message						*/
		},

		/* Save As */
		HMStringResItem {
			mFile,8,				/* menu item message					*/
			mFile,9,				/* disabled item message				*/
			mFile,0,				/* reserved message						*/
			mFile,0					/* reserved message						*/
		},

		/* Duplicate */
		HMStringResItem {
			mFile,10,				/* menu item message					*/
			mFile,11,				/* disabled item message				*/
			mFile,0,				/* reserved message						*/
			mFile,0					/* reserved message						*/
		},

		/* Disabled Line */
		HMSkipItem {				/* skip missing msg						*/
		},

		/* Page Setup */
		HMStringResItem {
			mFile,12,				/* menu item message					*/
			mFile,13,				/* disabled item message				*/
			mFile,0,				/* reserved message						*/
			mFile,0					/* reserved message						*/
		},

		/* Print */
		HMStringResItem {
			mFile,14,				/* menu item message					*/
			mFile,15,				/* disabled item message				*/
			mFile,0,				/* reserved message						*/
			mFile,0					/* reserved message						*/
		},

		/* Disabled Line */
		HMSkipItem {				/* skip missing msg						*/
		},

		/* Quit */
		HMStringResItem {
			mFile,16,				/* menu item message					*/
			mFile,0,				/* disabled item message				*/
			mFile,0,				/* reserved message						*/
			mFile,0					/* reserved message						*/
		}
	}
};


resource 'STR#' (mEdit) {
	{
/*  1 */	"Editing operations.",

/*  2 */	"Undo last text change.",
/*  3 */	"Undo last text change.  This item is disabled when there is no "
			"game, or there is no text change to undo.",
/*  4 */	"Cuts the current selection into the clipboard.",
/*  5 */	"Cuts the current selection into the clipboard.  "
			"(There is nothing selected right now.)",
/*  6 */	"Copies the current selection into the clipboard.",
/*  7 */	"Copies the current selection into the clipboard.  "
			"(There is nothing selected right now.)",
/*  8 */	"Pastes the clipboard contents into the document.",
/*  9 */	"Pastes the current selection.  (Can't paste here.)",
/* 10 */	"Clears the current selection.",
/* 11 */	"Clears the current selection.  "
			"(There is nothing selected right now.)"
	}
};

resource 'hmnu' (mEdit, "Edit") {
	HelpMgrVersion,					/* Help Version							*/
	0,								/* options								*/
	0,								/* theProc								*/
	0,								/* variant								*/
	HMSkipItem {					/* skip missing msg						*/
		},
	{
		/* Edit */
		HMStringResItem {
			mEdit,1,				/* menu title message					*/
			mEdit,1,				/* disabled title message				*/
			mEdit,0,				/* reserved message						*/
			mEdit,0					/* reserved message						*/
		},

		/* Undo */
		HMStringResItem {
			mEdit,2,				/* menu item message					*/
			mEdit,3,				/* disabled item message				*/
			mEdit,0,				/* reserved message						*/
			mEdit,0					/* reserved message						*/
		},

		/* Disabled Line */
		HMSkipItem {				/* skip missing msg						*/
		},

		/* Cut */
		HMStringResItem {
			mEdit,4,				/* menu item message					*/
			mEdit,5,				/* disabled item message				*/
			mEdit,0,				/* reserved message						*/
			mEdit,0					/* reserved message						*/
		},

		/* Copy */
		HMStringResItem {
			mEdit,6,				/* menu item message					*/
			mEdit,7,				/* disabled item message				*/
			mEdit,0,				/* reserved message						*/
			mEdit,0					/* reserved message						*/
		},

		/* Paste */
		HMStringResItem {
			mEdit,8,				/* menu item message					*/
			mEdit,9,				/* disabled item message				*/
			mEdit,0,				/* reserved message						*/
			mEdit,0					/* reserved message						*/
		},

		/* Clear */
		HMStringResItem {
			mEdit,10,				/* menu item message					*/
			mEdit,11,				/* disabled item message				*/
			mEdit,0,				/* reserved message						*/
			mEdit,0					/* reserved message						*/
		}

	}
};


resource 'STR#' (mGame, "Game") {
	{
/*  1 */	"Options for playing a game.",
/*	2 */	"Make various configuration changes to the current game.  ",
/*	3 */	"Make various configuration changes to the current game.  "
			"To enable this item, choose New or Open from the File menu.",
/*	4 */	"Invert the current board.",
/*	5 */	"Invert the current board.  To enable this item, "
			"choose New or Open from the File menu.",

/*	6 */	"Use this to create a custom board arrangement.",
/*	7 */	"Use this to create a custom board arrangement.",

/*	8 */	"Use this to analyze a game or to play the computer a game.",
/*	9 */	"Use this to analyze a game or to play the computer a game.  "
			"To enable this item, choose New or Open from the File menu.",
/*	10 */	"Play an opponent the current game.",
/*	11 */	"Play an opponent the current game.  To enable this item, "
			"choose New or Open from the File menu.",
	}
};


resource 'hmnu' (mGame, "Game") {
	HelpMgrVersion,						/* Help Version							*/
	0,									/* options								*/
	0,									/* theProc								*/
	0,									/* variant								*/
	HMSkipItem {						/* skip missing msg						*/
		},
	{
		HMStringResItem {
			mGame,1,				/* menu title message					*/
			mGame,1,				/* disabled title message				*/
			mGame,0,				/* reserved message						*/
			mGame,0					/* reserved message						*/
		},

		HMStringResItem {
			mGame,2,				/* menu title message					*/
			mGame,3,				/* disabled title message				*/
			mGame,0,				/* reserved message						*/
			mGame,0					/* reserved message						*/
		},

		HMStringResItem {
			mGame,4,				/* menu title message					*/
			mGame,5,				/* disabled title message				*/
			mGame,0,				/* reserved message						*/
			mGame,0					/* reserved message						*/
		},

		/* Disabled Line */
		HMSkipItem {				/* skip missing msg						*/
		},

		HMStringResItem {
			mGame,6,				/* menu title message					*/
			mGame,7,				/* disabled title message				*/
			mGame,0,				/* reserved message						*/
			mGame,0					/* reserved message						*/
		},

		HMStringResItem {
			mGame,8,				/* menu title message					*/
			mGame,9,				/* disabled title message				*/
			mGame,0,				/* reserved message						*/
			mGame,0					/* reserved message						*/
		},

		HMStringResItem {
			mGame,10,				/* menu title message					*/
			mGame,11,				/* disabled title message				*/
			mGame,0,				/* reserved message						*/
			mGame,0					/* reserved message						*/
		},

	}
};

resource 'STR#' (rDynHelpStrings, purgeable) {
	{
		"Use this to send a message to the opponent.",
		"Use this to send a message to the opponent.  To activate, choose 2-player game.",

		"When checked, an incomming move produces a beep.",
		"When checked, an incomming move produces a beep.  To activate, choose 2-player game.",

		"When checked, an incomming message produces a beep.",
		"When checked, an incomming message produces a beep.  To activate, choose 2-player game.",

		"If checked, white starts arranged game.",
		"",

		"If checked, black starts arranged game.",
		"",

		"Click here if you give up.",
		"",

		"Click here to register a draw.  In 2-player mode, click here to offer or accept a draw.",
		"",

		"Click here to record a sound to be sent to your opponent.",
		"Click here to record a sound to be sent to your opponent.  You must have a "
		"sound input device for this to be available.",

		"Click here to send a recorded sound to your opponent.",
		"Click here to send a recorded sound to your opponent.  You must have recorded "
		"a sound for this to be available.",

		"Messages from the opponent are displayed here.  You can not enter or edit any "
		"text here, but you can copy text from here to the clipboard.",
		"",

		"Enter message text here to send to the opponent.",
		"",

		"This is the game slider.  It is completely useless until there are some "
		"moves made in the game.",
		"This is the game slider.  Clicking on the pointy ends move you forward or "
		"backward one move in the game.  Sliding the bead up or down moves you to "
		"anywhere in the game.  The color of the bead indicates whose move it is at "
		"that point in the game.",

		"This is the Arrange Board piece palette.  Click on a piece to "
		"add that kind of piece to the board.",
		""
	}
};



/***************************************************************************/
/***************************************************************************/
/***************************************************************************/



resource 'ALRT' (rGameStat, purgeable) {
	{40, 20, 114, 300},
	rGameStat,
	{
		OK, visible, silent,
		OK, visible, silent,
		OK, visible, silent,
		OK, visible, silent
	}
};

resource 'DITL' (rGameStat, purgeable) {
	{
		{44, 220, 64, 270},		Button		{ enabled, "OK" },
		{11, 85, 33, 300},		StaticText	{ disabled, "^0" },
		{11, 23, 43, 55},		Icon		{ disabled, 2 }
	}
};






resource 'STR#' (rGameStat, purgeable) {
	{
		"Hey dude:  You win!",
		"Bummer dude:  You lose.",
		"    Stalemate",
		"Draw by 50 move rule.",
		"  Draw by repetition.",
		"Ding:  You win on time.",
		"Ding:  You lose on time.",
		"    White Resigns",
		"    Black Resigns ",
		"    Draw Game",
		"    White Wins",
		"    Black Wins",
		"Draw",
		"Offer Draw",
		"Draw",
		"Retract Offer",
		"Draw",
		"Accept Draw",
		" ",
		" "
	}
};



/***************************************************************************/



resource 'DLOG' (rPawnPromotion, purgeable) {
	{40, 20, 178, 206},
	dBoxProc,
	visible,
	noGoAway,
	0x0,
	rPawnPromotion,
	""
};

resource 'DITL' (rPawnPromotion, purgeable) {
	{
		{103, 16, 123, 90},		Button		{ enabled, "Promote" },
		{ 0, -1000, 20, 2},		StaticText	{ disabled,
			"=K190003,"
			"=k190003,"
			"=N190003,"
			"=n190003,"
			"=B190004,"
			"=b190004,"
			"=R190005,"
			"=r190005,"
			"=Q190006,"
			"=q190006" },		/* Key equivalent data for other items. */
		{44, 101, 62, 178},		RadioButton	{ enabled, "Knight" },
		{64, 101, 82, 178},		RadioButton	{ enabled, "Bishop" },
		{84, 101, 102, 178},	RadioButton	{ enabled, "Rook" },
		{104, 101, 122, 178},	RadioButton	{ enabled, "Queen" },
		{16, 18, 37, 147},		StaticText	{ disabled, "Promote pawn to:" }
	}
};



/***************************************************************************/



resource 'STR#'(rPPCText, preload) {
	{
/* [1] */	"Choose your opponent:",
/* [2] */	"Potential victims",
	}
};



resource 'CNTL' (rSendMessage) {
	{258, 454, 278, 495},
	0,
	visible,
	0,
	0,
	pushButProc,
	1,
	"Send"
};


resource 'CNTL' (rMoveNotify) {
	{3, 366, 17, 506},
	0,
	visible,
	1,
	0,
	checkBoxProc,
	2,
	"Beep on move"
};


resource 'CNTL' (rMssgNotify) {
	{17, 366, 33, 506},
	0,
	visible,
	1,
	0,
	checkBoxProc,
	3,
	"Beep on message"
};


resource 'CNTL' (rWhiteStarts) {
	{20, 320, 33, 480},
	0,
	invisible,
	1,
	0,
	checkBoxProc,
	4,
	"White Starts Game"
};


resource 'CNTL' (rBlackStarts) {
	{40, 320, 53, 480},
	0,
	invisible,
	1,
	0,
	checkBoxProc,
	5,
	"Black Starts Game"
};


resource 'CNTL' (rResign) {
	{268, 392, 286, 444},
	0,
	visible,
	0,
	0,
	pushButProc,
	6,
	"Resign"
};


resource 'CNTL' (rDraw) {
	{268, 295, 286, 390},
	0,
	visible,
	0,
	0,
	pushButProc,
	7,
	"Draw"
};


resource 'CNTL' (rRecordSound) {
	{249, 295, 267, 354},
	0,
	visible,
	0,
	0,
	pushButProc,
	8,
	"Record"
};


resource 'CNTL' (rSendSound) {
	{249, 356, 267, 444},
	0,
	visible,
	0,
	0,
	pushButProc,
	9,
	"Send Sound"
};



/***************************************************************************/



resource 'cicn' (310) {
	16,
	{0, 0, 32, 32},
	4,
	$"FFF8 0000 FFF8 0000 FFF8 0000 FFF8 0000"
	$"FFF8 0000 FFF8 0000 FFF8 0000 FFF8 0000"
	$"FFF8 0000 FFF8 0000 FFF8 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000",
	$"0200 0000 0500 0000 0880 0000 1040 0000"
	$"2020 0000 4030 0000 8018 0000 8018 0000"
	$"8038 0000 7FF0 0000 0980 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000",
	{	/* array ColorSpec: 8 elements */
		/* [1] */
		0, 65535, 65535, 65535,
		/* [2] */
		1, 56797, 56797, 56797,
		/* [3] */
		2, 48059, 48059, 48059,
		/* [4] */
		3, 43690, 43690, 43690,
		/* [5] */
		4, 34952, 34952, 34952,
		/* [6] */
		5, 30583, 30583, 30583,
		/* [7] */
		6, 21845, 21845, 21845,
		/* [8] */
		15, 0, 0, 0
	},
	$"0000 00F0 0000 0000 0000 0000 0000 0000"
	$"0000 0F2F 0000 0000 0000 0000 0000 0000"
	$"0000 F324 F000 0000 0000 0000 0000 0000"
	$"000F 3122 4F00 0000 0000 0000 0000 0000"
	$"00F3 1122 44F0 0000 0000 0000 0000 0000"
	$"0F31 1022 246F 0000 0000 0000 0000 0000"
	$"F331 1022 2446 F000 0000 0000 0000 0000"
	$"F331 1022 2446 F000 0000 0000 0000 0000"
	$"F333 3222 4466 F000 0000 0000 0000 0000"
	$"0FFF FFFF FFFF 0000 0000 0000 0000 0000"
	$"0000 F205 F000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
};

resource 'cicn' (311) {
	16,
	{0, 0, 32, 32},
	4,
	$"FFF8 0000 FFF8 0000 FFF8 0000 FFF8 0000"
	$"FFF8 0000 FFF8 0000 FFF8 0000 FFF8 0000"
	$"FFF8 0000 FFF8 0000 FFF8 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000",
	$"0980 0000 7FF0 0000 8038 0000 8018 0000"
	$"8018 0000 4030 0000 2020 0000 1040 0000"
	$"0880 0000 0500 0000 0200 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000",
	{	/* array ColorSpec: 8 elements */
		/* [1] */
		0, 65535, 65535, 65535,
		/* [2] */
		1, 56797, 56797, 56797,
		/* [3] */
		2, 48059, 48059, 48059,
		/* [4] */
		3, 43690, 43690, 43690,
		/* [5] */
		4, 34952, 34952, 34952,
		/* [6] */
		5, 30583, 30583, 30583,
		/* [7] */
		6, 21845, 21845, 21845,
		/* [8] */
		15, 0, 0, 0
	},
	$"0000 F205 F000 0000 0000 0000 0000 0000"
	$"0FFF FFFF FFFF 0000 0000 0000 0000 0000"
	$"F330 0002 4466 F000 0000 0000 0000 0000"
	$"F331 0012 2446 F000 0000 0000 0000 0000"
	$"F331 1122 2446 F000 0000 0000 0000 0000"
	$"0F33 1122 246F 0000 0000 0000 0000 0000"
	$"00F3 3122 44F0 0000 0000 0000 0000 0000"
	$"000F 3322 4F00 0000 0000 0000 0000 0000"
	$"0000 F324 F000 0000 0000 0000 0000 0000"
	$"0000 0F2F 0000 0000 0000 0000 0000 0000"
	$"0000 00F0 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
};

resource 'cicn' (312) {
	8,
	{0, 0, 32, 32},
	2,
	$"FFF8 0000 FFF8 0000 FFF8 0000 FFF8 0000"
	$"FFF8 0000 FFF8 0000 FFF8 0000 FFF8 0000"
	$"FFF8 0000 FFF8 0000 FFF8 0000 FFF8 0000"
	$"FFF8 0000 FFF8 0000 FFF8 0000 FFF8 0000"
	$"FFF8 0000 FFF8 0000 FFF8 0000 FFF8 0000"
	$"FFF8 0000 FFF8 0000 FFF8 0000 FFF8 0000"
	$"FFF8 0000 FFF8 0000 FFF8 0000 FFF8 0000"
	$"FFF8 0000 FFF8 0000 FFF8 0000 FFF8 0000",
	$"0980 0000 0980 0000 0980 0000 0980 0000"
	$"0980 0000 0980 0000 0980 0000 0980 0000"
	$"0980 0000 0980 0000 0980 0000 0980 0000"
	$"0980 0000 0980 0000 0980 0000 0980 0000"
	$"0980 0000 0980 0000 0980 0000 0980 0000"
	$"0980 0000 0980 0000 0980 0000 0980 0000"
	$"0980 0000 0980 0000 0980 0000 0980 0000"
	$"0980 0000 0980 0000 0980 0000 0980 0000",
	{	/* array ColorSpec: 4 elements */
		/* [1] */
		0, 65535, 65535, 65535,
		/* [2] */
		1, 48059, 48059, 48059,
		/* [3] */
		2, 30583, 30583, 30583,
		/* [4] */
		3, 0, 0, 0
	},
	$"00D2 C000 0000 0000 00D2 C000 0000 0000"
	$"00D2 C000 0000 0000 00D2 C000 0000 0000"
	$"00D2 C000 0000 0000 00D2 C000 0000 0000"
	$"00D2 C000 0000 0000 00D2 C000 0000 0000"
	$"00D2 C000 0000 0000 00D2 C000 0000 0000"
	$"00D2 C000 0000 0000 00D2 C000 0000 0000"
	$"00D2 C000 0000 0000 00D2 C000 0000 0000"
	$"00D2 C000 0000 0000 00D2 C000 0000 0000"
	$"00D2 C000 0000 0000 00D2 C000 0000 0000"
	$"00D2 C000 0000 0000 00D2 C000 0000 0000"
	$"00D2 C000 0000 0000 00D2 C000 0000 0000"
	$"00D2 C000 0000 0000 00D2 C000 0000 0000"
	$"00D2 C000 0000 0000 00D2 C000 0000 0000"
	$"00D2 C000 0000 0000 00D2 C000 0000 0000"
	$"00D2 C000 0000 0000 00D2 C000 0000 0000"
	$"00D2 C000 0000 0000 00D2 C000 0000 0000"
};

resource 'cicn' (313) {
	16,
	{0, 0, 32, 32},
	4,
	$"FFF8 0000 FFF8 0000 FFF8 0000 FFF8 0000"
	$"FFF8 0000 FFF8 0000 FFF8 0000 FFF8 0000"
	$"FFF8 0000 FFF8 0000 FFF8 0000 FFF8 0000"
	$"FFF8 0000 FFF8 0000 FFF8 0000 FFF8 0000"
	$"FFF8 0000 FFF8 0000 FFF8 0000 FFF8 0000"
	$"FFF8 0000 FFF8 0000 FFF8 0000 FFF8 0000"
	$"FFF8 0000 FFF8 0000 FFF8 0000 FFF8 0000"
	$"FFF8 0000 FFF8 0000 FFF8 0000 FFF8 0000",
	$"0980 0000 0980 0000 0980 0000 0980 0000"
	$"0980 0000 0980 0000 0980 0000 0980 0000"
	$"0980 0000 0980 0000 0980 0000 0980 0000"
	$"7FF0 0000 8008 0000 8008 0000 8008 0000"
	$"8008 0000 8008 0000 7FF0 0000 0980 0000"
	$"0980 0000 0980 0000 0980 0000 0980 0000"
	$"0980 0000 0980 0000 0980 0000 0980 0000"
	$"0980 0000 0980 0000 0980 0000 0980 0000",
	{	/* array ColorSpec: 8 elements */
		/* [1] */
		0, 65535, 65535, 65535,
		/* [2] */
		1, 56797, 56797, 56797,
		/* [3] */
		2, 48059, 48059, 48059,
		/* [4] */
		3, 43690, 43690, 43690,
		/* [5] */
		4, 34952, 34952, 34952,
		/* [6] */
		5, 21845, 21845, 21845,
		/* [7] */
		6, 30583, 30583, 30583,
		/* [8] */
		15, 0, 0, 0
	},
	$"0000 F206 F000 0000 0000 0000 0000 0000"
	$"0000 F206 F000 0000 0000 0000 0000 0000"
	$"0000 F206 F000 0000 0000 0000 0000 0000"
	$"0000 F206 F000 0000 0000 0000 0000 0000"
	$"0000 F206 F000 0000 0000 0000 0000 0000"
	$"0000 F206 F000 0000 0000 0000 0000 0000"
	$"0000 F206 F000 0000 0000 0000 0000 0000"
	$"0000 F206 F000 0000 0000 0000 0000 0000"
	$"0000 F206 F000 0000 0000 0000 0000 0000"
	$"0000 F206 F000 0000 0000 0000 0000 0000"
	$"0000 F206 F000 0000 0000 0000 0000 0000"
	$"0000 F206 F000 0000 0000 0000 0000 0000"
	$"0FFF FFFF FFFF 0000 0000 0000 0000 0000"
	$"F310 0000 0245 F000 0000 0000 0000 0000"
	$"F100 0000 0024 F000 0000 0000 0000 0000"
	$"F100 0000 0024 F000 0000 0000 0000 0000"
	$"F100 0000 0024 F000 0000 0000 0000 0000"
	$"F310 0000 0245 F000 0000 0000 0000 0000"
	$"0FFF FFFF FFFF 0000 0000 0000 0000 0000"
	$"0000 F206 F000 0000 0000 0000 0000 0000"
	$"0000 F206 F000 0000 0000 0000 0000 0000"
	$"0000 F206 F000 0000 0000 0000 0000 0000"
	$"0000 F206 F000 0000 0000 0000 0000 0000"
	$"0000 F206 F000 0000 0000 0000 0000 0000"
	$"0000 F206 F000 0000 0000 0000 0000 0000"
	$"0000 F206 F000 0000 0000 0000 0000 0000"
	$"0000 F206 F000 0000 0000 0000 0000 0000"
	$"0000 F206 F000 0000 0000 0000 0000 0000"
	$"0000 F206 F000 0000 0000 0000 0000 0000"
	$"0000 F206 F000 0000 0000 0000 0000 0000"
	$"0000 F206 F000 0000 0000 0000 0000 0000"
	$"0000 F206 F000 0000 0000 0000 0000 0000"
};

resource 'cicn' (314) {
	16,
	{0, 0, 32, 32},
	4,
	$"FFF8 0000 FFF8 0000 FFF8 0000 FFF8 0000"
	$"FFF8 0000 FFF8 0000 FFF8 0000 FFF8 0000"
	$"FFF8 0000 FFF8 0000 FFF8 0000 FFF8 0000"
	$"FFF8 0000 FFF8 0000 FFF8 0000 FFF8 0000"
	$"FFF8 0000 FFF8 0000 FFF8 0000 FFF8 0000"
	$"FFF8 0000 FFF8 0000 FFF8 0000 FFF8 0000"
	$"FFF8 0000 FFF8 0000 FFF8 0000 FFF8 0000"
	$"FFF8 0000 FFF8 0000 FFF8 0000 FFF8 0000",
	$"0980 0000 0980 0000 0980 0000 0980 0000"
	$"0980 0000 0980 0000 0980 0000 0980 0000"
	$"0980 0000 0980 0000 0980 0000 0980 0000"
	$"7FF0 0000 FFF8 0000 E7F8 0000 CFF8 0000"
	$"FFF8 0000 FFF8 0000 7FF0 0000 0980 0000"
	$"0980 0000 0980 0000 0980 0000 0980 0000"
	$"0980 0000 0980 0000 0980 0000 0980 0000"
	$"0980 0000 0980 0000 0980 0000 0980 0000",
	{	/* array ColorSpec: 8 elements */
		/* [1] */
		0, 65535, 65535, 65535,
		/* [2] */
		1, 56797, 56797, 56797,
		/* [3] */
		2, 34952, 34952, 34952,
		/* [4] */
		3, 30583, 30583, 30583,
		/* [5] */
		4, 21845, 21845, 21845,
		/* [6] */
		5, 17476, 17476, 17476,
		/* [7] */
		6, 48059, 48059, 48059,
		/* [8] */
		15, 0, 0, 0
	},
	$"0000 F603 F000 0000 0000 0000 0000 0000"
	$"0000 F603 F000 0000 0000 0000 0000 0000"
	$"0000 F603 F000 0000 0000 0000 0000 0000"
	$"0000 F603 F000 0000 0000 0000 0000 0000"
	$"0000 F603 F000 0000 0000 0000 0000 0000"
	$"0000 F603 F000 0000 0000 0000 0000 0000"
	$"0000 F603 F000 0000 0000 0000 0000 0000"
	$"0000 F603 F000 0000 0000 0000 0000 0000"
	$"0000 F603 F000 0000 0000 0000 0000 0000"
	$"0000 F603 F000 0000 0000 0000 0000 0000"
	$"0000 F603 F000 0000 0000 0000 0000 0000"
	$"0000 F603 F000 0000 0000 0000 0000 0000"
	$"0FFF FFFF FFFF 0000 0000 0000 0000 0000"
	$"FF43 4FFF FFFF F000 0000 0000 0000 0000"
	$"F541 14FF FFFF F000 0000 0000 0000 0000"
	$"F521 34FF FFFF F000 0000 0000 0000 0000"
	$"FF43 4FFF FFFF F000 0000 0000 0000 0000"
	$"FFFF FFFF FFFF F000 0000 0000 0000 0000"
	$"0FFF FFFF FFFF 0000 0000 0000 0000 0000"
	$"0000 F603 F000 0000 0000 0000 0000 0000"
	$"0000 F603 F000 0000 0000 0000 0000 0000"
	$"0000 F603 F000 0000 0000 0000 0000 0000"
	$"0000 F603 F000 0000 0000 0000 0000 0000"
	$"0000 F603 F000 0000 0000 0000 0000 0000"
	$"0000 F603 F000 0000 0000 0000 0000 0000"
	$"0000 F603 F000 0000 0000 0000 0000 0000"
	$"0000 F603 F000 0000 0000 0000 0000 0000"
	$"0000 F603 F000 0000 0000 0000 0000 0000"
	$"0000 F603 F000 0000 0000 0000 0000 0000"
	$"0000 F603 F000 0000 0000 0000 0000 0000"
	$"0000 F603 F000 0000 0000 0000 0000 0000"
	$"0000 F603 F000 0000 0000 0000 0000 0000"
};

resource 'cicn' (315) {
	16,
	{0, 0, 32, 32},
	4,
	$"FFF8 0000 FFF8 0000 FFF8 0000 FFF8 0000"
	$"FFF8 0000 FFF8 0000 FFF8 0000 FFF8 0000"
	$"FFF8 0000 FFF8 0000 FFF8 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000",
	$"0200 0000 0700 0000 0F80 0000 1FC0 0000"
	$"3FE0 0000 7BF0 0000 F3F8 0000 F7F8 0000"
	$"FFF8 0000 7FF0 0000 0980 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000",
	{	/* array ColorSpec: 6 elements */
		/* [1] */
		0, 65535, 65535, 65535,
		/* [2] */
		1, 48059, 48059, 48059,
		/* [3] */
		2, 43690, 43690, 43690,
		/* [4] */
		3, 30583, 30583, 30583,
		/* [5] */
		4, 21845, 21845, 21845,
		/* [6] */
		15, 0, 0, 0
	},
	$"0000 00F0 0000 0000 0000 0000 0000 0000"
	$"0000 0FFF 0000 0000 0000 0000 0000 0000"
	$"0000 FFFF F000 0000 0000 0000 0000 0000"
	$"000F FFFF FF00 0000 0000 0000 0000 0000"
	$"00FF FFFF FFF0 0000 0000 0000 0000 0000"
	$"0FF4 2FFF FFFF 0000 0000 0000 0000 0000"
	$"FF42 04FF FFFF F000 0000 0000 0000 0000"
	$"FF40 24FF FFFF F000 0000 0000 0000 0000"
	$"FFFF 44FF FFFF F000 0000 0000 0000 0000"
	$"0FFF FFFF FFFF 0000 0000 0000 0000 0000"
	$"0000 F103 F000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
};

resource 'cicn' (316) {
	16,
	{0, 0, 32, 32},
	4,
	$"FFF8 0000 FFF8 0000 FFF8 0000 FFF8 0000"
	$"FFF8 0000 FFF8 0000 FFF8 0000 FFF8 0000"
	$"FFF8 0000 FFF8 0000 FFF8 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000",
	$"0980 0000 7FF0 0000 F3F8 0000 E7F8 0000"
	$"FFF8 0000 7FF0 0000 3FE0 0000 1FC0 0000"
	$"0F80 0000 0700 0000 0200 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000",
	{	/* array ColorSpec: 6 elements */
		/* [1] */
		0, 65535, 65535, 65535,
		/* [2] */
		1, 56797, 56797, 56797,
		/* [3] */
		2, 48059, 48059, 48059,
		/* [4] */
		3, 30583, 30583, 30583,
		/* [5] */
		4, 21845, 21845, 21845,
		/* [6] */
		15, 0, 0, 0
	},
	$"0000 F203 F000 0000 0000 0000 0000 0000"
	$"0FFF FFFF FFFF 0000 0000 0000 0000 0000"
	$"FF44 14FF FFFF F000 0000 0000 0000 0000"
	$"FF41 44FF FFFF F000 0000 0000 0000 0000"
	$"FFF4 4FFF FFFF F000 0000 0000 0000 0000"
	$"0FFF FFFF FFFF 0000 0000 0000 0000 0000"
	$"00FF FFFF FFF0 0000 0000 0000 0000 0000"
	$"000F FFFF FF00 0000 0000 0000 0000 0000"
	$"0000 FFFF F000 0000 0000 0000 0000 0000"
	$"0000 0FFF 0000 0000 0000 0000 0000 0000"
	$"0000 00F0 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
};






resource 'ICN#' (300) {
	{	/* array: 2 elements */
		/* [1] */
		$"FFFF FFFF 8000 0000 8030 0000 8048 0000"
		$"8084 0000 8102 0000 8201 0000 8387 0000"
		$"8084 0000 80FC 0000 8000 0000 80FC 0000"
		$"8084 0000 8387 0000 8201 0000 8102 0000"
		$"8084 0000 8048 0000 8030 0000 8000 0000"
		$"FFFF FFFF 7FFF FFFF 3FFF FFFF",
		/* [2] */
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	}
};

resource 'ICN#' (301) {
	{	/* array: 2 elements */
		/* [1] */
		$"FFFF FFFF 0000 0000 0000 0000 0000 0000"
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"FFFF FFFF FFFF FFFF FFFF FFFF",
		/* [2] */
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	}
};

resource 'ICN#' (302) {
	{	/* array: 2 elements */
		/* [1] */
		$"FFFF FFFC 0000 0006 0000 3007 0000 4807"
		$"0000 8407 0001 0207 0002 0107 0003 8707"
		$"0000 8407 0000 FC07 0000 0007 0000 FC07"
		$"0000 8407 0003 8707 0002 0107 0001 0207"
		$"0000 8407 0000 4807 0000 3007 0000 0007"
		$"FFFF FFFF FFFF FFFF FFFF FFFF",
		/* [2] */
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	}
};

resource 'ICN#' (303) {
	{	/* array: 2 elements */
		/* [1] */
		$"FFFF FFFF 8000 0000 8030 0000 8078 0000"
		$"80FC 0000 81FE 0000 83FF 0000 83FF 0000"
		$"80FC 0000 80FC 0000 8000 0000 80FC 0000"
		$"8084 0000 8387 0000 8201 0000 8102 0000"
		$"8084 0000 8048 0000 8030 0000 8000 0000"
		$"FFFF FFFF 7FFF FFFF 3FFF FFFF",
		/* [2] */
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	}
};

resource 'ICN#' (304) {
	{	/* array: 2 elements */
		/* [1] */
		$"FFFF FFFF 8000 0000 8030 0000 8048 0000"
		$"8084 0000 8102 0000 8201 0000 8387 0000"
		$"8084 0000 80FC 0000 8000 0000 80FC 0000"
		$"80FC 0000 83FF 0000 83FF 0000 81FE 0000"
		$"80FC 0000 8078 0000 8030 0000 8000 0000"
		$"FFFF FFFF 7FFF FFFF 3FFF FFFF",
		/* [2] */
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	}
};

resource 'ICN#' (305) {
	{	/* array: 2 elements */
		/* [1] */
		$"FFFF FFFC 0000 0006 0000 3007 0000 7807"
		$"0000 FC07 0001 FE07 0003 FF07 0003 FF07"
		$"0000 FC07 0000 FC07 0000 0007 0000 FC07"
		$"0000 8407 0003 8707 0002 0107 0001 0207"
		$"0000 8407 0000 4807 0000 3007 0000 0007"
		$"FFFF FFFF FFFF FFFF FFFF FFFF",
		/* [2] */
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	}
};

resource 'ICN#' (306) {
	{	/* array: 2 elements */
		/* [1] */
		$"FFFF FFFC 0000 0006 0000 3007 0000 4807"
		$"0000 8407 0001 0207 0002 0107 0003 8707"
		$"0000 8407 0000 FC07 0000 0007 0000 FC07"
		$"0000 FC07 0003 FF07 0003 FF07 0001 FE07"
		$"0000 FC07 0000 7807 0000 3007 0000 0007"
		$"FFFF FFFF FFFF FFFF FFFF FFFF",
		/* [2] */
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	}
};






resource 'ICN#' (310) {
	{	/* array: 2 elements */
		/* [1] */
		$"0200 0000 0500 0000 0880 0000 1040 0000"
		$"2020 0000 4030 0000 8018 0000 8018 0000"
		$"8038 0000 7FF0 0000 0980",
		/* [2] */
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	}
};

resource 'ICN#' (311) {
	{	/* array: 2 elements */
		/* [1] */
		$"0980 0000 7FF0 0000 8038 0000 8018 0000"
		$"8018 0000 4030 0000 2020 0000 1040 0000"
		$"0880 0000 0500 0000 02",
		/* [2] */
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	}
};

resource 'ICN#' (312) {
	{	/* array: 2 elements */
		/* [1] */
		$"0980 0000 0980 0000 0980 0000 0980 0000"
		$"0980 0000 0980 0000 0980 0000 0980 0000"
		$"0980 0000 0980 0000 0980 0000 0980 0000"
		$"0980 0000 0980 0000 0980 0000 0980 0000"
		$"0980 0000 0980 0000 0980 0000 0980 0000"
		$"0980 0000 0980 0000 0980 0000 0980 0000"
		$"0980 0000 0980 0000 0980 0000 0980 0000"
		$"0980 0000 0980 0000 0980 0000 0980",
		/* [2] */
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	}
};

resource 'ICN#' (313) {
	{	/* array: 2 elements */
		/* [1] */
		$"0980 0000 0980 0000 0980 0000 0980 0000"
		$"0980 0000 0980 0000 0980 0000 0980 0000"
		$"0980 0000 0980 0000 0980 0000 0980 0000"
		$"7FF0 0000 8008 0000 8008 0000 8008 0000"
		$"8008 0000 8008 0000 7FF0 0000 0980 0000"
		$"0980 0000 0980 0000 0980 0000 0980 0000"
		$"0980 0000 0980 0000 0980 0000 0980 0000"
		$"0980 0000 0980 0000 0980 0000 0980",
		/* [2] */
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	}
};

resource 'ICN#' (314) {
	{	/* array: 2 elements */
		/* [1] */
		$"0980 0000 0980 0000 0980 0000 0980 0000"
		$"0980 0000 0980 0000 0980 0000 0980 0000"
		$"0980 0000 0980 0000 0980 0000 0980 0000"
		$"7FF0 0000 FFF8 0000 E7F8 0000 CFF8 0000"
		$"FFF8 0000 FFF8 0000 7FF0 0000 0980 0000"
		$"0980 0000 0980 0000 0980 0000 0980 0000"
		$"0980 0000 0980 0000 0980 0000 0980 0000"
		$"0980 0000 0980 0000 0980 0000 0980",
		/* [2] */
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	}
};

resource 'ICN#' (315) {
	{	/* array: 2 elements */
		/* [1] */
		$"0200 0000 0700 0000 0F80 0000 1FC0 0000"
		$"3FE0 0000 7BF0 0000 F3F8 0000 F7F8 0000"
		$"FFF8 0000 7FF0 0000 0980",
		/* [2] */
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	}
};

resource 'ICN#' (316) {
	{	/* array: 2 elements */
		/* [1] */
		$"0980 0000 7FF0 0000 F7F8 0000 EFF8 0000"
		$"FFF8 0000 7FF0 0000 3FE0 0000 1FC0 0000"
		$"0F80 0000 0700 0000 02",
		/* [2] */
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	}
};







resource 'DLOG' (rConfigureGame) {
	{40, 40, 345, 355},
	dBoxProc,
	visible,
	goAway,
	0x0,
	rConfigureGame,
	""
};
resource 'DITL' (rConfigureGame) {
	{
		{272, 244, 292, 302},	Button { enabled, "Done" },
		{0, -1000, 20, 2},		StaticText { disabled, "=.190103,1B190003" },
		{272, 166, 292, 228},	Button { enabled, "Cancel" },
		{9, 12, 27, 157},		RadioButton { enabled, "Play White Pieces" },
		{27, 12, 45, 157},		RadioButton { enabled, "Play Black Pieces" },
		{57, 12, 75, 307},		CheckBox { enabled, "Let Computer Move White Pieces (badly)" },
		{75, 12, 93, 307},		CheckBox { enabled, "Let Computer Move Black Pieces (badly)" },
		{105, 12, 123, 118},	CheckBox { enabled, "Time Game" },
		{50, 10, 51, 305},		UserItem { disabled },
		{98, 10, 99, 305},		UserItem { disabled },
		{190, 10, 191, 305},	UserItem { disabled },
		{129, 14, 152, 94},		UserItem { enabled },
		{157, 14, 180, 94},		UserItem { enabled },
		{132, 113, 148, 390},	StaticText { disabled, "Time (HH:MM) For White" },
		{161, 113, 177, 390},	StaticText { disabled, "Time (HH:MM) For Black" },
		{199, 43, 217, 306},	StaticText { disabled, "Zone: ^0" },
		{217, 20, 235, 306},	StaticText { disabled, "Machine: ^1" },
		{235, 13, 253, 306},	StaticText { disabled, "Opponent: ^2" },
		{0, 0, 0, 0},			helpItem {disabled, HMScanhdlg {rConfigureGame},}
	}
};
resource 'hdlg' (rConfigureGame, purgeable) {
	HelpMgrVersion, 0, hmDefaultOptions, 0, 1, HMSkipItem {},
	{
		HMStringItem {
			{14, 3},{0, 0, 0, 0},
			"When you have set everything the way you want, click here.",
			"",
			"When you have set everything the way you want, click here.",
			"",
		},
		HMStringItem {{5, 5},{0, 0, 0, 0},"","","","",},
		HMStringItem {
			{14, 3},{0, 0, 0, 0},
			"If you change your mind about the changes, click here.",
			"",
			"If you change your mind about the changes, click here.",
			"",
		},
		HMStringItem {
			{9, 4},{0, 0, 0, 0},
			"You are currently playing the black pieces.  If you want to play the "
			"white pieces, click here.",
			"",
			"This is selected, which means that you are currently playing the white pieces.",
			"",
		},
		HMStringItem {
			{9, 4},{0, 0, 0, 0},
			"You are currently playing the white pieces.  If you want to play the "
			"black pieces, click here.",
			"",
			"This is selected, which means that you are currently playing the black pieces.",
			"",
		},
		HMStringItem {
			{10, 3},{0, 0, 0, 0},
			"If you want the computer to move the white pieces less than well, click here.",
			"",
			"The computer is currently set to move the white pieces.  If you don't want "
			"it to, click here.",
			"",
		},
		HMStringItem {
			{10, 3},{0, 0, 0, 0},
			"If you want the computer to move the black pieces less than well, click here.",
			"",
			"The computer is currently set to move the black pieces.  If you don't want "
			"it to, click here.",
			"",
		},
		HMStringItem {
			{10, 3},{0, 0, 0, 0},
			"If you want to play a timed game, click here.",
			"",
			"If you want to play an untimed game, click here.",
			"",
		},
		HMStringItem {{5, 5},{0, 0, 0, 0},"","","","",},
		HMStringItem {{5, 5},{0, 0, 0, 0},"","","","",},
		HMStringItem {{5, 5},{0, 0, 0, 0},"","","","",},
		HMStringItem {
			{16, 2},{0, 0, 0, 0},
			"If you are timing the game, you can adjust the amount of "
			"time for white using the arrows.",
			"",
			"If you are timing the game, you can adjust the amount of "
			"time for white using the arrows.",
			"",
		},
		HMStringItem {
			{16, 2},{0, 0, 0, 0},
			"If you are timing the game, you can adjust the amount of "
			"time for black using the arrows.",
			"",
			"If you are timing the game, you can adjust the amount of "
			"time for black using the arrows.",
			"",
		},
		HMStringItem {{5, 5},{0, 0, 0, 0},"","","","",},
		HMStringItem {{5, 5},{0, 0, 0, 0},"","","","",},
		HMStringItem {
			{5, 38},{0, 0, 0, 0},
			"",
			"If you are playing an opponent over the network, this is the opponent's zone.",
			"",
			"",
		},
		HMStringItem {
			{5, 61},{0, 0, 0, 0},
			"",
			"If you are playing an opponent over the network, this is the opponent's machine.",
			"",
			"",
		},
		HMStringItem {
			{5, 68},{0, 0, 0, 0},
			"",
			"If you are playing an opponent over the network, this is the opponent's name.",
			"",
			"",
		},
	}
};




resource 'DLOG' (rArrangeWarning) {
	{40, 40, 134, 338},
	dBoxProc,
	visible,
	goAway,
	0x0,
	rArrangeWarning,
	""
};
resource 'DITL' (rArrangeWarning) {
	{
		{61, 238, 81, 283},		Button		{ enabled, "OK" },
		{0, -1000, 20, 2},		StaticText	{ disabled, "=.190103,1B190003" },
		{61, 161, 81, 219},		Button		{ enabled, "Cancel" },
		{10, 23, 42, 55},		Icon		{ disabled, 0 },
		{10, 78, 50, 288},		StaticText	{ disabled,
								"Arranging the board will cause the game "
								"moves to be lost." }
	}
};






resource 'DLOG' (rPrStatusDlg) {
	{110, 40, 219, 423},
	dBoxProc,
	visible,
	goAway,
	0x0,
	rPrStatusDlg,
	""
};
resource 'DITL' (rPrStatusDlg) {
	{
		{72, 24, 92, 104},		Button { enabled, "Proceed" },
		{72, 128, 92, 208},		Button { enabled, "Pause" },
		{72, 232, 92, 362},		Button { enabled, "Cancel Printing" },
		{16, 24, 56, 300},		StaticText { disabled, "Document ^0 is being printed." }
	}
};
