#ifndef __TEXTEDITCONTROL__
#define __TEXTEDITCONTROL__

#ifndef __TYPES__
#include <Types.h>
#endif

#ifndef __TEXTEDIT__
#include <TextEdit.h>
#endif

#ifndef __WINDOWS__
#include <Windows.h>
#endif

typedef struct CTEDataRec {
	short	maxTextLen;
	Boolean	newUndo;
	short	undoSelStart;
	short	undoSelEnd;
	Handle	undoText;
	short	mode;
	Rect	brdrRect;
} CTEDataRec;
typedef CTEDataRec *CTEDataPtr, **CTEDataHndl;

pascal void		ASMNOCARET(Rect *caretRect);
pascal Boolean	ASMTECLIKLOOP(void);
void			CTEActivate(Boolean active, TEHandle teHndl);
Boolean			CTEClick(EventRecord *event);
void			CTEClikLoop(void);
void			CTEClipboard(short menuID);
pascal long		CTECtl(short varCode, ControlHandle ctl, short msg, long parm);
ControlHandle	CTECtlHit(void);
void			CTEDispose(TEHandle teHndl);
TEHandle		CTEDisposeView(ControlHandle viewCtl);
short			CTEDocHeight(TEHandle teHndl);
Boolean			CTEEditMenu(Boolean *activeItem, short editMenu, short undoID, short cutID);
Boolean			CTEEvent(EventRecord *event);
void			CTEFakeClick(short newStart, short newEnd, Boolean extend, TEHandle teHndl);
TEHandle		CTEFindActive(WindowPtr window);
Boolean			CTEFindCtl(WindowPtr window, EventRecord *event, TEHandle *teHndl,
						   ControlHandle *ctlHit);
TEHandle		CTEFromScroll(ControlHandle scrollCtl, ControlHandle *retCtl);
void			CTEHide(TEHandle teHndl);
void			CTEIdle(void);
short			CTEKey(EventRecord *event);
void			CTEMove(TEHandle teHndl, short newH, short newV);
void			CTENew(short viewID, WindowPtr window, TEHandle *teHndl, Rect *cRect,
					   Rect *dRect, Rect *vRect, Rect *bRect, short maxTextLen, short mode);
void			CTENewUndo(ControlHandle viewCtl, Boolean alwaysNewUndo);
ControlHandle	CTENext(WindowPtr window, TEHandle *teHndl, ControlHandle ctl);
short			CTENumTextLines(TEHandle teHndl);
short			CTENumViewLines(TEHandle teHndl);
OSErr			CTEPrint(TEHandle teHndl, short *offset, Rect *rct);
Boolean			CTEReadOnly(TEHandle teHndl);
ControlHandle	CTEScrollFromTE(TEHandle teHndl, Boolean vertScroll);
ControlHandle	CTEScrollFromView(ControlHandle viewCtl, Boolean vertScroll);
void			CTESetSelect(short start, short end, TEHandle teHndl);
void			CTEShow(TEHandle teHndl);
void			CTESize(TEHandle teHndl, short dx, short dy, Boolean newDest);
Handle			CTESwapText(TEHandle teHndl, Handle newText, Boolean update);
WindowPtr		CTETargetInfo(TEHandle *teHndl, Rect *teView);
void			CTEUndo(void);
void			CTEUpdate(TEHandle teHndl, ControlHandle ctl, Boolean justShowActive);
ControlHandle	CTEViewFromTE(TEHandle teHndl);
Boolean			CTEWindActivate(WindowPtr window);
Boolean			IsScrollBar(ControlHandle ctl);
void			AdjustTEBottom(TEHandle teHndl);
void			AdjustScrollValues(TEHandle teHndl);

#define cteReadWrite		0
#define cteReadOnly			1
#define cteHScroll			2
#define cteHScrollLessGrow	6
#define cteVScroll			8
#define cteVScrollLessGrow	24
#define cteActive			32
#define cteShowActive		64
#define cteTabSelectAll		128

#endif __TEXTEDITCONTROL__
